> For the complete documentation index, see [llms.txt](https://docs.verifone.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.verifone.com/api-reference/open-api-references/order-service/specification/additional-services.md).

# Additional Services

Operations to manage additional services for merchant orders.

## Create Additional Services Order

> Creates an order for add-on services (e.g. APM integration). A new PPC is created if no contract ID is specified.

```json
{"openapi":"3.0.0","info":{"title":"Verifone Order Internal API","version":"2.63.1-SNAPSHOT"},"tags":[{"name":"Additional Services","description":"Operations to manage additional services for merchant orders."}],"servers":[{"url":"https://api.verifone.com"}],"paths":{"/orders/merchant/additionalServices":{"post":{"tags":["Additional Services"],"summary":"Create Additional Services Order","description":"Creates an order for add-on services (e.g. APM integration). A new PPC is created if no contract ID is specified.","operationId":"addOnServicesOrderRequest","parameters":[{"$ref":"#/components/parameters/saveDraftHeaderParam"}],"requestBody":{"description":"Additional Services Order Request Body","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AdditionalServicesOrder"}}}},"responses":{"201":{"description":"Create Additional Services Order Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AdditionalServicesOrderResponse"}}}},"400":{"$ref":"#/components/responses/400"},"401":{"$ref":"#/components/responses/401"},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"429":{"$ref":"#/components/responses/429"},"500":{"$ref":"#/components/responses/500"},"503":{"$ref":"#/components/responses/503"},"504":{"$ref":"#/components/responses/504"}}}}},"components":{"parameters":{"saveDraftHeaderParam":{"name":"saveDraft","in":"header","description":"An optional header indicating whether to save the order into a DRAFT status. If this value is not specified or set to false then the order will be SUBMITTED immediately.","required":false,"schema":{"type":"boolean"}}},"schemas":{"AdditionalServicesOrder":{"description":"Additional services order & package details","type":"object","allOf":[{"$ref":"#/components/schemas/BaseOrderData"},{"properties":{"portfolioUid":{"description":"Verifone ID for the Portfolio Selected. If this is not provided then a default portfolio will be used.","type":"string","format":"uuid"},"contract":{"$ref":"#/components/schemas/MerchantContract"},"servicePackages":{"type":"array","minItems":1,"maxItems":100,"items":{"$ref":"#/components/schemas/ServicePackageWithPPC"}},"shippingAddress":{"$ref":"#/components/schemas/AddressWithoutType"},"billingAddress":{"$ref":"#/components/schemas/AddressWithoutType"},"serviceTarget":{"$ref":"#/components/schemas/BaseServiceTarget"}}}],"required":["serviceTarget","servicePackages"]},"BaseOrderData":{"type":"object","properties":{"orderReference":{"$ref":"#/components/schemas/OrderReference"},"customerEntityUid":{"type":"string","format":"uuid","description":"Verifone allocated ID for the customer this order is for (packages and bundles are associated with this entity)."},"requestedDate":{"type":"string","description":"The requested date for this order.","format":"date-time"},"deferredOrderProcessingDate":{"type":"string","format":"date-time","description":"Defers order processing until the specified ISO 8601 UTC datetime (e.g. 2026-06-20T09:00:00Z). The workflow will not start before this point. If absent, processing begins immediately."},"poRef":{"type":"string","description":"Purchase Order Reference"},"paymentDetails":{"$ref":"#/components/schemas/PaymentDetails"},"notes":{"type":"string","description":"Notes for the Order"},"additionalOrderData":{"type":"array","description":"Input data which maybe required for the country/business unit to to complete the order. For example some countries require a VAT ID, or different legal forms of business, this will be defined by Verifone if needed for your integration","maxItems":100,"items":{"$ref":"#/components/schemas/VariableResponseType"}}},"required":["orderReference","customerEntityUid"]},"OrderReference":{"description":"Client reference for the Order.","type":"string","minLength":1},"PaymentDetails":{"description":"Details of how the order will be paid, and the further re-occuring billing for services.","type":"object","properties":{"paymentType":{"type":"string","description":"Type of payment that can be made.","default":"CREDIT"}},"discriminator":{"propertyName":"paymentType","mapping":{"ACCOUNT":"#/components/schemas/PaymentDetailsAccount","CREDIT":"#/components/schemas/PaymentDetailsCredit","NET":"#/components/schemas/PaymentDetailsNET","EINVOICE":"#/components/schemas/PaymentDetailsEInvoice"}},"required":["paymentType"],"oneOf":[{"title":"ACCOUNT","allOf":[{"$ref":"#/components/schemas/PaymentDetailsAccount"}]},{"title":"CREDIT","allOf":[{"$ref":"#/components/schemas/PaymentDetailsCredit"}]},{"title":"NET","allOf":[{"$ref":"#/components/schemas/PaymentDetailsNET"}]},{"title":"EINVOICE","allOf":[{"$ref":"#/components/schemas/PaymentDetailsEInvoice"}]}]},"PaymentDetailsAccount":{"allOf":[{"$ref":"#/components/schemas/PaymentDetails"},{"properties":{"accountType":{"$ref":"#/components/schemas/PaymentAccountType"},"accountCurrency":{"$ref":"#/components/schemas/CurrencyCodeEnum"},"institutionName":{"type":"string","description":"Name of the institution where the account is held."},"accountName":{"type":"string","description":"Name of the account as known by the financial institution operating the account."},"sortCode":{"type":"string","description":"The Routing Number for the bank account. Also referred to as the UK Sorting Code identifier, range from 4 to 6 chars, e.g. [xxxx or xxxxx or xxxxxx].","pattern":"^[0-9]{4,6}$"},"bsb":{"type":"string","description":"An Australian/New Zealand term for the Bank State Branch indicator. It is a 6 digit value constructed with the first 2 digits identifying the bank.","pattern":"^[0-9]{6,6}$"},"routingTransitNumber":{"type":"string","description":"routing transit number for the bank account. A routing transit number is a nine-digit number used to identify a bank or financial institution when clearing funds or processing checks. Established by the American Bankers Association (ABA)","pattern":"^[0-9]{9,9}$"},"accountNumber":{"type":"string","description":"The Number of the account"},"accountAddress":{"$ref":"#/components/schemas/BaseAddress"},"ean":{"type":"string","description":"EAN Reference, thirteen digit reference","pattern":"^[0-9]{13,13}$"},"iban":{"$ref":"#/components/schemas/IBANIdentifier"},"bic":{"$ref":"#/components/schemas/BICIdentifier"}}}],"required":["accountType","accountCurrency","accountName","accountNumber","institutionName"]},"PaymentAccountType":{"type":"string","enum":["CHEQUE","SAVINGS","TRANSMISSION","BANKGIRO"]},"CurrencyCodeEnum":{"title":"Currency Code","description":"Three-letter ISO 4217 alphabetical currency code. e.g. USD. Values correspond\nto [ISO 4217](https://wikipedia.org/wiki/ISO_4217).\n\n**Deprecated:** `BYR` (replaced by BYN), `FRF` (replaced by EUR), `LTL` (replaced by EUR), `LVL` (replaced by EUR), `MRO` (replaced by MRU), `STD` (replaced by STN), `USS` (no replacement), `VEF`  (replaced by VES), `ZMK` (replaced by ZMV) and `BTC` (Bitcoin only supported as Crypto Amount).","type":"string","enum":["AED","AFN","ALL","AMD","ANG","AOA","ARS","AUD","AWG","AZN","BAM","BBD","BDT","BGN","BHD","BIF","BMD","BND","BOB","BOV","BRL","BSD","BTN","BWP","BYN","BYR","BZD","CAD","CDF","CHE","CHF","CHW","CLF","CLP","CNY","COP","COU","CRC","CUC","CUP","CVE","CZK","DJF","DKK","DOP","DZD","EGP","ERN","ETB","EUR","FJD","FKP","FRF","GBP","GEL","GHS","GIP","GMD","GNF","GTQ","GYD","HKD","HNL","HRK","HTG","HUF","IDR","ILS","INR","IQD","IRR","ISK","JMD","JOD","JPY","KES","KGS","KHR","KMF","KPW","KRW","KWD","KYD","KZT","LAK","LBP","LKR","LRD","LSL","LTL","LVL","LYD","MAD","MDL","MGA","MKD","MMK","MNT","MOP","MRO","MRU","MUR","MVR","MWK","MXN","MXV","MYR","MZN","NAD","NGN","NIO","NOK","NPR","NZD","OMR","PAB","PEN","PGK","PHP","PKR","PLN","PYG","QAR","RON","RSD","RUB","RWF","SAR","SBD","SCR","SDG","SEK","SGD","SHP","SLL","SOS","SRD","SSP","STD","STN","SVC","SYP","SZL","THB","TJS","TMT","TND","TOP","TRY","TTD","TWD","TZS","UAH","UGX","USD","USN","USS","UYI","UYU","UYW","UZS","VEF","VES","VND","VUV","WST","XAF","XAG","XAU","XBA","XBB","XBC","XBD","XCD","XDR","XOF","XPD","XPF","XPT","XSU","XTS","XUA","XXX","YER","ZAR","ZMK","ZMW","ZWL","BTC"]},"BaseAddress":{"description":"An Address following the convention of http://microformats.org/wiki/hcard","type":"object","properties":{"receiverName":{"type":"string","minLength":1,"description":"The receiver name for the address if different to the company/site name."},"addressLine1":{"minLength":1,"maxLength":40,"type":"string","description":"Address Line 1. Should include street and apartment number if required."},"addressLine2":{"maxLength":40,"type":"string","description":"Address Line 2"},"addressLine3":{"maxLength":40,"type":"string","description":"Address Line 3"},"poBox":{"type":"string","description":"The PO BOX number."},"city":{"minLength":1,"maxLength":28,"type":"string","description":"Name of a built-up area, with defined boundaries, and a local government. This could be city or town."},"countrySubdivision":{"maxLength":35,"minLength":1,"type":"string","description":"Identifies a sub-division of a country which may be state, region or county. This follows a similar format to the openbank api."},"postCode":{"$ref":"#/components/schemas/PostCode"},"country":{"$ref":"#/components/schemas/CountryCode3Enum"},"timeZone":{"$ref":"#/components/schemas/TimeZone"}}},"PostCode":{"description":"Identifier consisting of a group of letters and/or numbers that is added to a postal address to assist the sorting of mail.","type":"string","minLength":1,"maxLength":16},"CountryCode3Enum":{"title":"Country Code","type":"string","description":"The [ISO 3166-1 alpha-3](https://en.wikipedia.org/wiki/ISO_3166-1_alpha-3) country code.<blockquote><strong>Note:</strong> The country code for Great Britain is <code>GB</code> and not <code>UK</code> as is used in that country's top-level domain names.</blockquote>.","enum":["ZZZ","ABW","AFG","AGO","AIA","ALA","ALB","AND","ARE","ARG","ARM","ASM","ATA","ATF","ATG","AUS","AUT","AZE","BDI","BEL","BEN","BES","BFA","BGD","BGR","BHR","BHS","BIH","BLM","BLR","BLZ","BMU","BOL","BRA","BRB","BSB","BRN","BTN","BVT","BWA","CAF","CAN","CCK","CHE","CHL","CHN","CIV","CMR","COD","COG","COK","COL","COM","CPV","CRI","CUB","CUW","CXR","CYM","CYP","CZE","DEU","DJI","DMA","DNK","DOM","DZA","ECU","EGY","ERI","ESH","ESP","EST","ETH","FIN","FJI","FLK","FRA","FRO","FSM","GAB","GBR","GEO","GGY","GHA","GIB","GIN","GLP","GMB","GNB","GNQ","GRC","GRD","GRL","GTM","GUF","GUM","GUY","HKG","HMD","HND","HRV","HTI","HUN","IDN","IMN","IND","IOT","IRL","IRN","IRQ","ISL","ISR","ITA","JAM","JEY","JOR","JPN","KAZ","KEN","KGZ","KHM","KIR","KNA","KOR","KWT","LAO","LBN","LBR","LBY","LCA","LIE","LKA","LSO","LTU","LUX","LVA","MAC","MAF","MAR","MCO","MDA","MDG","MDV","MEX","MHL","MKD","MLI","MLT","MMR","MNE","MNG","MNP","MOZ","MRT","MSR","MTQ","MUS","MWI","MYS","MYT","NAM","NCL","NER","NFK","NGA","NIC","NIU","NLD","NOR","NPL","NRU","NZL","OMN","PAK","PAN","PCN","PER","PHL","PLW","PNG","POL","PRI","PRK","PRT","PRY","PSE","PYF","QAT","REU","ROU","RUS","RWA","SAU","SDN","SEN","SGC","SGP","SHN","SJM","SLB","SLE","SLV","SMR","SOM","SPM","SRB","SSD","STP","SUR","SVK","SVN","SWE","SWZ","SXM","SYC","SYR","TCA","TCD","TGO","THA","TJK","TKL","TKM","TLS","TON","TTO","TUN","TUR","TUV","TWN","TZA","UGA","UKR","UMI","URY","USA","UZB","VAT","VCT","VEN","VGB","VIR","VNM","VUT","WLF","WSM","YEM","ZAF","ZMB","ZWE"]},"TimeZone":{"description":"A time zone, following the format defined in the IANA tz database (https://www.iana.org/time-zones). Valid examples are America/New_York and Etc/UTC. Do not use ambiguous, non-qualified values such as EST or GB. Before including this type in your interface, please consider whether it is actually appropriate to convey time zone information with your type. It is almost always the case that this should be transformed from UTC at the time of display to the user; this type might therefore be most associated with user-preference APIs.","type":"string","minLength":1,"maxLength":127},"IBANIdentifier":{"title":"IBAN","description":"International Bank Account Number (ISO 13616-1:2007).\n The use of an IBAN is mandated for all SEPA transactions.\nThere are 66 countries that support this format. The length will vary by country. Norway has the shortest format, 15 characters, currently Malta is the longest with 31 characters.\n","type":"string","pattern":"^[a-zA-Z]{2,2}[0-9]{2,2}[a-zA-Z0-9]{1,30}$"},"BICIdentifier":{"title":"Bank Identifier Code","type":"string","description":"International Bank Identifier Code Format.\nThe Bank Identifier Code or SWIFT Code ,this can also be referred to as the CHIPS, NCC, VSC or IFSC depending on your location. Made up of 8 or 11 characters .The 3 main parts include: BankCode(4), Country Code(2) and Location (2).\nOptionally the branch identifier is a 3 character optional element that can supplement the 8 character BIC.\n[ISO 9362](https://www.iso.org/standard/84108.html)","pattern":"^[A-Z]{6,6}[A-Z2-9][A-NP-Z0-9]([A-Z0-9]{3,3}){0,1}$","maxLength":11},"PaymentDetailsCredit":{"allOf":[{"$ref":"#/components/schemas/PaymentDetails"},{"properties":{"accountType":{"$ref":"#/components/schemas/PaymentAccountType"},"accountCurrency":{"$ref":"#/components/schemas/CurrencyCodeEnum"},"creditAmountRequested":{"description":"Amount of credit to be requested.","type":"number","format":"float"},"purchaseOrderReference":{"type":"string","description":"Purchase Order Reference."},"existingCustomerLegalName":{"type":"string","description":"Existing Customer Legal Name."},"references":{"type":"array","description":"List of references.","maxItems":50,"items":{"$ref":"#/components/schemas/ReferenceContactType"}}}}],"required":["accountType","accountCurrency"]},"ReferenceContactType":{"description":"Company and contact details for reference","type":"object","properties":{"contact":{"$ref":"#/components/schemas/ContactType"},"companyName":{"type":"string","description":"Name of the company."},"accountNumber":{"type":"string","description":"The account Number of the reference"},"referenceType":{"type":"string","description":"Type of reference.","enum":["BANK","TRADE"]}},"required":["contact","companyName","referenceType"]},"ContactType":{"description":"The details of a Contact.","type":"object","properties":{"contactType":{"$ref":"#/components/schemas/ContactTypeEnum"},"name":{"$ref":"#/components/schemas/ContactName"},"phoneNumbers":{"description":"The phone numbers to be used for the Contact. If you include this property there should be at least one phone number.","items":{"$ref":"#/components/schemas/Phone"},"minItems":1,"uniqueItems":true,"type":"array"},"email":{"$ref":"#/components/schemas/EmailAddress"},"businessTitle":{"$ref":"#/components/schemas/BusinessTitle"}},"required":["contactType","name"]},"ContactTypeEnum":{"title":"Contact Type","description":"An indicator for the type of contact.\n\n|Value|Description|\n|----|-----------|\n|BUSINESS|Generic business contact information, e.g. info@example.com|\n|DISPUTE_HANDLING|Generic contact information specific to dispute handling, e.g. disputes@example.com|\n|OWNER|Individual contact information of the owner of the Entity, e.g. ben.jerry@example.com|\n|PERSONAL|Personal contact information of the person representing the Entity, e.g. bjerr83@example-personal-email-domain.com|","type":"string","enum":["BUSINESS","DISPUTE_HANDLING","OWNER","PERSONAL"],"default":"BUSINESS"},"ContactName":{"allOf":[{"$ref":"#/components/schemas/Name"}]},"Name":{"title":"Name Details","description":"An object representing the name or component names of a party, person or business. No elements are mandatory due to the different usages, but the business rules need to be applied in the context where name is used.","type":"object","uniqueItems":false,"properties":{"firstName":{"description":"The given name of contact.","type":"string","minLength":1,"maxLength":120},"lastName":{"description":"The surname name or family name of the contact. This is required when the name is for a party or person. Can also include the matronymic or mother's family name where this is customarily used.","minLength":1,"maxLength":120,"type":"string"},"prefix":{"description":"The prefix to the party name. This is sometimes referred to as a title, salutation or appellation.","maxLength":120,"type":"string"},"alternateFullName":{"description":"The alternate name for the party. This can be a business name or nickname. This should be used where the name of the party cannot be parsed into its constituent parts such as first name or last name. If the party is a business then this should always be present.","maxLength":200,"type":"string"},"middleName":{"description":"The middle name or names for a party or person.","maxLength":120,"type":"string"},"suffix":{"description":"The name suffix for the party.","maxLength":120,"type":"string"}},"required":["firstName","lastName"]},"Phone":{"title":"Phone number","description":"A simple Phone Number","type":"object","additionalProperties":false,"properties":{"callingCode":{"description":"Country Calling Code. Mapped to PARTY_PHONE.CALLING_CODE or VENUE_PHONE.CALLING_CODE","type":"string"},"value":{"description":"The actual phone number less country code and/or extension.","type":"string","minLength":5},"extension":{"description":"The internal extension number where applicable or known.","type":"string"},"isPrimary":{"description":"Indicates that the phone is a the primary phone. Mapped to PARTY_PHONE_PRIMARY","type":"boolean","default":false},"phoneType":{"$ref":"#/components/schemas/PhoneTypeEnum"}},"required":["value","phoneType"]},"PhoneTypeEnum":{"title":"Phone Type","description":"Phone type in PHONE_TYPE_CON. Mapped to PARTY_PHONE.PHONE_TYPE_CON_ID or VENUE_PHONE.PHONE_TYPE_CON_ID","type":"string","enum":["HOME","MOBILE","WORK","FAX","OTHER"],"default":"HOME"},"EmailAddress":{"title":"Email Address","maxLength":254,"minLength":3,"type":"string","format":"email","pattern":"^[a-zA-Z0-9!#$%&'*+=?^_`{|}~.-]+@[a-zA-Z0-9-]+[.].+$","description":"A valid internationalized email address, as defined by RFC 5322, RFC 6530, and other RFCs. Due to RFC 5321, an email address can be up to 254 characters long even though up to 64 characters are allowed before and 255 characters are allowed after the @ sign. This pattern verifies only that the string contains an unquoted @ sign. See https://tools.ietf.org/html/rfc5322#section-3.4.1."},"BusinessTitle":{"type":"string","maxLength":100},"PaymentDetailsNET":{"allOf":[{"$ref":"#/components/schemas/PaymentDetails"}]},"PaymentDetailsEInvoice":{"allOf":[{"$ref":"#/components/schemas/PaymentDetails"},{"properties":{"bankPartnerName":{"type":"string","description":"The banking partner used in conjunction with the billing details to perform e-invoicing."},"gln":{"type":"string","description":"The Global Location Number (GLN) to be captured when E-Invoice payment method is used for the Sweden Portfolio.","pattern":"^[0-9]{13}$"},"eAddress":{"type":"string","description":"This is required for Finnish customers who have opted to receive invoices electronically."}}}]},"VariableResponseType":{"description":"Variable/Value Pairs.","type":"object","properties":{"variableName":{"type":"string","description":"Variable name (this would be provided by Verifone)","pattern":"^[A-Za-z0-9_-]*$"},"variableValue":{"type":"string","maxLength":10000,"description":"Value of the variable"}}},"MerchantContract":{"type":"object","properties":{"brokerId":{"type":"string","maxLength":100,"description":"ID of the broker, if one is being used"},"legalStructure":{"type":"string","description":"Legal Structure","enum":["PROPRIETOR_OWN_BEHALF","PROPRIETOR_NOT_OWN_BEHALF","SHARED_LESS_25_PERC_EACH"]},"contacts":{"type":"array","maxItems":50,"items":{"$ref":"#/components/schemas/ContactAddressType"}},"settlementAccount":{"$ref":"#/components/schemas/SettlementAccount"},"domesticSettlementAccount":{"$ref":"#/components/schemas/DomesticSettlementAccount"},"serviceStartDate":{"type":"string","description":"The requested date for this service to start.","format":"date-time"},"terminalRentalStartDate":{"type":"string","format":"date-time","description":"The date until which terminal rental is exempt for this contract (also labelled \"Rent Exemption Until\" / DE: \"Mietfreiheit bis zum\"). If not set, consumers should fall back to serviceStartDate.\n"},"proprietorAct":{"type":"boolean","description":"Is proprietor is acting on its own behalf (true) or is not acting on own behalf (false)"},"documents":{"type":"array","items":{"$ref":"#/components/schemas/MerchantDocument"}},"replacementAgreement":{"$ref":"#/components/schemas/ReplacementAgreement"}},"description":"Used if merchant contract is to be processed"},"ContactAddressType":{"description":"A Contact and their address details.","type":"object","properties":{"contact":{"$ref":"#/components/schemas/ContractContactType"},"addressDetails":{"$ref":"#/components/schemas/BaseAddress"},"dateOfBirth":{"type":"string","description":"Date of Birth","format":"date"},"placeOfBirth":{"type":"string","description":"Place of Birth"},"isIDCheckRequired":{"type":"boolean","description":"Is this contact's ID required to be checked","default":false},"isContractSignatureRequired":{"type":"boolean","description":"Is this contact's signature required","default":false},"isLegalRepresentative":{"type":"boolean","description":"Is this contact a legal representative","default":false},"isAuthorizedRepresentative":{"type":"boolean","description":"Is this contact an authorized representative","default":false},"isBeneficiaryOwner":{"type":"boolean","description":"Is a beneficiary owner","default":false},"isPoliticallyExposed":{"type":"boolean","description":"Is this contact a politically exposed person","default":false},"representativeType":{"type":"string","description":"Type of representative when this contact is legal or authorized rep","enum":["GENERAL_COMMERCIAL_POWER","LIMITED_COMMERCIAL_POWER","NOT_APPLICABLE"]}},"required":["contact","addressDetails"]},"ContractContactType":{"type":"object","required":["contactType","name"],"properties":{"contactType":{"$ref":"#/components/schemas/ContactTypeEnum"},"name":{"$ref":"#/components/schemas/ContactName"},"phoneNumbers":{"description":"The phone numbers to be used for the Contact. If you include this property there should be at least one phone number.","items":{"$ref":"#/components/schemas/Phone"},"minItems":1,"uniqueItems":true,"type":"array"},"email":{"$ref":"#/components/schemas/EmailAddress"},"businessTitle":{"$ref":"#/components/schemas/BusinessTitle"},"passportId":{"type":"string","description":"Passport Identity Identifier.","minLength":1,"maxLength":100},"nationality":{"type":"string","description":"Nationality","minLength":1,"maxLength":100},"additionalNationalities":{"type":"array","description":"Additional Nationalities","uniqueItems":true,"maxItems":20,"items":{"type":"string","minLength":1,"maxLength":100}},"nationalIdentifer":{"type":"string","description":"Contact's national identity identifier.","minLength":1,"maxLength":20}}},"SettlementAccount":{"allOf":[{"$ref":"#/components/schemas/SepaAccount"}]},"SepaAccount":{"title":"SEPA Bank Account","description":"A SEPA Account structure extending the base account","allOf":[{"$ref":"#/components/schemas/Account"},{"properties":{"country":{"$ref":"#/components/schemas/CountryCode3Enum"},"accountName":{"type":"string","description":"Name of the account as known by the financial institution operating the account."},"iban":{"$ref":"#/components/schemas/IBANIdentifier"},"bic":{"$ref":"#/components/schemas/BICIdentifier"}}}]},"Account":{"title":"Account","description":"Unambiguous identification of an account to which credit and debit entries are made.\n\nThese entries are based on the Open Banking standards used in various countries - UK, Australia, New Zealand as well as a combination of details from the ISO20022 account properties.","additionalProperties":false,"properties":{"currency":{"$ref":"#/components/schemas/CurrencyCodeEnum"},"accountHolderType":{"type":"string","enum":["BUSINESS","PERSONAL"],"default":"BUSINESS"},"description":{"description":"Specifies the description of the account type.","type":"string","minLength":1,"maxLength":35},"nickname":{"description":"The nickname of the account, assigned by the account owner in order to provide an additional means of identification of the account.","type":"string","minLength":1,"maxLength":70}}},"DomesticSettlementAccount":{"allOf":[{"$ref":"#/components/schemas/DomesticAccount"}]},"DomesticAccount":{"title":"Domestic Bank Account","description":"A Domestic Bank Account structure extending the base account.","allOf":[{"$ref":"#/components/schemas/Account"},{"properties":{"accountName":{"description":"Name of the account as known by the financial institution operating the account.","type":"string"},"sortCode":{"description":"The UK Sorting Code identifier the sort code is xx xx xx.","type":"string","pattern":"^[0-9]{6,6}$"},"bsb":{"description":"An Australian/New Zealand term for the Bank State Branch indicator. It is a 6 digit value constructed with the first 2 digits identifying the bank.","type":"string","pattern":"^[0-9]{6,6}$"},"routingTransitNumber":{"type":"string","description":"Routing transit number for the bank account. A routing transit number is a nine-digit number used to identify a bank or financial institution when clearing funds or processing checks. Established by the American Bankers Association (ABA).","pattern":"^[0-9]{9,9}$"},"accountNumberType":{"description":"The type of the `accountNumber` which asserts the format of the number:\n - `BANKGIRIT`: Up to 9 characters (example: 123-4567 or 1234-5678)\n - `PLUSGIROT`: Up to 24 characters; starts with \"SE50\"\n - `DEFAULT`: Format-less value","type":"string","enum":["BANKGIROT","PLUSGIROT","DEFAULT"],"default":"DEFAULT"},"accountNumber":{"description":"The number of the account.","type":"string"}}}]},"MerchantDocument":{"type":"object","description":"Merchant Document Info.","allOf":[{"$ref":"#/components/schemas/RequiredDocument"},{"properties":{"uploadedDate":{"type":"string","description":"The uploaded date for this document.","format":"date-time"},"modifiedDate":{"type":"string","description":"The modified date for this document on status change.","format":"date-time"}}}]},"RequiredDocument":{"type":"object","description":"Merchant Required Document Details","properties":{"documentId":{"type":"string","format":"uuid","description":"Unique identifier for the document."},"documentName":{"type":"string","maxLength":100,"description":"Name of the document."},"displayName":{"type":"string","maxLength":100,"description":"Display name of the document shown to end user."},"status":{"$ref":"#/components/schemas/DocumentStatusEnum","description":"Current status of the document."},"allowedContentTypes":{"type":"array","description":"List of supported content types.","minItems":1,"maxItems":100,"items":{"$ref":"#/components/schemas/ContentTypeEnum"}},"allowedContentLength":{"type":"integer","format":"int64","description":"Size of the uploaded document in bytes.  Default is 2 MB (2097152 bytes), maximum allowed is 8 MB (8388608 bytes).\n","default":2097152,"maximum":8388608},"contact":{"$ref":"#/components/schemas/ContractContactType"}},"required":["documentId","documentName","status","allowedContentTypes"]},"DocumentStatusEnum":{"type":"string","description":"Current status of the document. Rejected documents must be re-uploaded.","enum":["PENDING_UPLOAD","UPLOADED","PENDING_SCAN","ACCEPTED_CLEAN","REJECTED_INFECTED"]},"ContentTypeEnum":{"type":"string","description":"Supported content type for documents.","enum":["application/pdf","image/png","image/jpeg","application/msword","application/vnd.openxmlformats-officedocument.wordprocessingml.document","application/vnd.openxmlformats-officedocument.spreadsheetml.sheet","application/vnd.ms-excel"]},"ReplacementAgreement":{"title":"ReplacementAgreement","type":"object","description":"Replacement agreement details for devices covered under this contract.","required":["devices"],"properties":{"contractNumber":{"type":"string","maxLength":255,"description":"Contract number for the replacement agreement."},"devices":{"type":"array","description":"List of devices being replaced.","minItems":1,"maxItems":100,"items":{"$ref":"#/components/schemas/ReplacedDevice"}}}},"ReplacedDevice":{"title":"ReplacedDevice","type":"object","description":"A device being replaced under a replacement agreement.","required":["serialNumber","deviceModel"],"properties":{"serialNumber":{"type":"string","minLength":1,"maxLength":12,"description":"Serial number of the replaced device."},"deviceModel":{"type":"string","minLength":1,"maxLength":100,"description":"Model name of the replaced device."}}},"ServicePackageWithPPC":{"type":"object","allOf":[{"$ref":"#/components/schemas/ServicePackages"},{"properties":{"contractUid":{"$ref":"#/components/schemas/ContractUid"}}}],"required":["packageBundleId"]},"ServicePackages":{"type":"object","properties":{"packageBundleId":{"$ref":"#/components/schemas/PackageBundleId"},"adjustedPrices":{"type":"array","maxItems":50,"items":{"$ref":"#/components/schemas/AdjustedPriceType"}},"processorParameters":{"$ref":"#/components/schemas/BaseProcessorParameters"},"additionalPackageData":{"type":"array","description":"Input data required to configure the package. For example some packages require a merchant ID.","maxItems":50,"items":{"$ref":"#/components/schemas/VariableResponseType"}},"threeDSMerchantIdentifiers":{"$ref":"#/components/schemas/ThreeDSecureMerchantIdentifiers"}},"required":["packageBundleId"]},"PackageBundleId":{"description":"The Verifone allocated ID for the package bundle.","type":"string","pattern":"^[A-Za-z0-9_-]*$","maxLength":100},"AdjustedPriceType":{"type":"object","properties":{"priceModel":{"type":"string","description":"Pricing Model","enum":["MONTHLY_FEE","MONTHLY_FEE_PER_DEVICE","MINIMUM_AMT_PER_TRX","AMT_PER_TRX","PERC_PER_TRX","ONE_TIME","YEARLY_FEE","QUARTERLY_FEE"]},"price":{"$ref":"#/components/schemas/AmountSimple"}}},"AmountSimple":{"title":"Amount Simple Type","type":"string","description":"The value, which can be anything from:\n- An integer. For currencies that are not typically fractional, such as `JPY`. - A three-place decimal fraction. For currencies that are subdivided into thousandths, such as `TND`.\n*The required number of decimal places for a currency code is according to [ISO 4217](https://wikipedia.org/wiki/ISO_4217). However the following table documents exception to ISO 4217 that is also allowed:*\n\n|Code|Currency|Decimals|Fixed minor units|\n|--------|-----------|---------|-----------|\n|ISK|Iceland Krona|2|.00|\n","maxLength":32,"pattern":"^((-?[0-9]+)|(-?([0-9]+)?[.][0-9]+))$"},"BaseProcessorParameters":{"description":"Payment Processor Parameters related to Merchant onboarding.","type":"object","properties":{"processor":{"title":"Payment Provider ContractType Processor Acquirer Type","description":"A type indicator for the contract that is being processed.","type":"string","enum":["ABS_ISO","ABS_PDM","ABS_WEB","AMEX","BANKAXEPT","BANQUE_CHABRIERES","BARCLAYS","BFCOI","BNPP_ATC","BNP_PARIBAS","BNPP_VERS_ATOS","BRED","CAISSE_D_EPARGNE","CBA","CEDICAM","CIC","CM_ARKEA","CREDIT_AGRICOLE","CREDIT_DU_NORD_VERS_ATOS","CREDIT_DU_NORD_VERS_NATIXIS","CREDIT_MUTUEL","CREDITGUARD","DANKORT","EFTPOS_NZ","ELAVON","FDRC","FIRSTDATA","GICC","GIVEX","GLOBALPAY","GPP2","HSBC","IKANO","INTERCARD","ISRACARD","LA_BANQUE_POSTAL","LCL","LES_BANQUES_POPULAIRES","LLOYDS_CARDNET","MAESTRO","MOBILEPAY","NETS","OTHER","PAYPAL","PAYPAL_ECOM","PELECARD","RESURS_BANK","RTS","SG","SIMULATOR","SWEDBANK_PAY","SWISH","TIETO_EVRY","VERIFONE_AU","VIPPS","WESTPAC","WORLDPAY","WPAY_AU","FISERV_AU","CUSCAL_AU","CHASE_US","ELAVON_US","FISERV_US","TSYS_US","GLOBALPAYMENTS_US","VANTIV_US","HEARTLAND_US","TELECHECK_US","SC_AMEX","SC_EVRY","SC_LUOTTOKUNTA","SC_NETS_DK","SC_NETS_NO","SC_SWEDBANK_SE","SVS_US","SVS_UK","VALUELINK_US","VALUELINK_CA","VALUTEC_US","UNIFY_GIVEX"],"default":"TSYS_US"},"tidList":{"description":"A pool of terminal IDs issued by the Acquiring Institution. This pool is intended to be used for the POIs that's capable of initiating multiple payment requests in parallel (e.g. Checkout Page and Virtual Terminal)","type":"array","uniqueItems":true,"items":{"type":"string"}}},"discriminator":{"propertyName":"processor","mapping":{"GIVEX":"#/components/schemas/ProcessorParametersGivex","GLOBALPAYMENTS_US":"#/components/schemas/ProcessorParametersUSGPEAST","TSYS_US":"#/components/schemas/ProcessorParametersUSTSYS","CHASE_US":"#/components/schemas/ProcessorParametersUSCHASE","ELAVON_US":"#/components/schemas/ProcessorParametersUSELAVON","FISERV_US":"#/components/schemas/ProcessorParametersUSFIRSTDATA","VANTIV_US":"#/components/schemas/ProcessorParametersUSVANTIV","HEARTLAND_US":"#/components/schemas/ProcessorParametersUSHeartland","TELECHECK_US":"#/components/schemas/ProcessorParametersUSTelecheck","FISERV_AU":"#/components/schemas/ProcessorParametersFiservAU","CUSCAL_AU":"#/components/schemas/ProcessorParametersCuscalAU","WPAY_AU":"#/components/schemas/ProcessorParametersWpayAU","SVS_UK":"#/components/schemas/ProcessorParametersSVS","SVS_US":"#/components/schemas/ProcessorParametersSVS","VALUELINK_US":"#/components/schemas/ProcessorParametersValuelink","VALUELINK_CA":"#/components/schemas/ProcessorParametersValuelink","VALUTEC_US":"#/components/schemas/ProcessorParametersValutecUS","VERIFONE_AU":"#/components/schemas/ProcessorParametersVerifoneAU","SC_AMEX":"#/components/schemas/ProcessorParametersSC","SC_EVRY":"#/components/schemas/ProcessorParametersSC","SC_LUOTTOKUNTA":"#/components/schemas/ProcessorParametersSC","SC_NETS_DK":"#/components/schemas/ProcessorParametersSC","SC_NETS_NO":"#/components/schemas/ProcessorParametersSC","SC_SWEDBANK_SE":"#/components/schemas/ProcessorParametersSC","OTHER":"#/components/schemas/ProcessorParametersOTHER","UNIFY_GIVEX":"#/components/schemas/ProcessorParametersUnifyGivex"}},"required":["processor"],"oneOf":[{"title":"GIVEX","allOf":[{"$ref":"#/components/schemas/ProcessorParametersGivex"}]},{"title":"GLOBALPAYMENTS_US","allOf":[{"$ref":"#/components/schemas/ProcessorParametersUSGPEAST"}]},{"title":"TSYS_US","allOf":[{"$ref":"#/components/schemas/ProcessorParametersUSTSYS"}]},{"title":"CHASE_US","allOf":[{"$ref":"#/components/schemas/ProcessorParametersUSCHASE"}]},{"title":"ELAVON_US","allOf":[{"$ref":"#/components/schemas/ProcessorParametersUSELAVON"}]},{"title":"FISERV_US","allOf":[{"$ref":"#/components/schemas/ProcessorParametersUSFIRSTDATA"}]},{"title":"VANTIV_US","allOf":[{"$ref":"#/components/schemas/ProcessorParametersUSVANTIV"}]},{"title":"HEARTLAND_US","allOf":[{"$ref":"#/components/schemas/ProcessorParametersUSHeartland"}]},{"title":"TELECHECK_US","allOf":[{"$ref":"#/components/schemas/ProcessorParametersUSTelecheck"}]},{"title":"FISERV_AU","allOf":[{"$ref":"#/components/schemas/ProcessorParametersFiservAU"}]},{"title":"CUSCAL_AU","allOf":[{"$ref":"#/components/schemas/ProcessorParametersCuscalAU"}]},{"title":"WPAY_AU","allOf":[{"$ref":"#/components/schemas/ProcessorParametersWpayAU"}]},{"title":"SVS_UK","allOf":[{"$ref":"#/components/schemas/ProcessorParametersSVS"}]},{"title":"SVS_US","allOf":[{"$ref":"#/components/schemas/ProcessorParametersSVS"}]},{"title":"VALUELINK_US","allOf":[{"$ref":"#/components/schemas/ProcessorParametersValuelink"}]},{"title":"VALUELINK_CA","allOf":[{"$ref":"#/components/schemas/ProcessorParametersValuelink"}]},{"title":"VALUTEC_US","allOf":[{"$ref":"#/components/schemas/ProcessorParametersValutecUS"}]},{"title":"VERIFONE_AU","allOf":[{"$ref":"#/components/schemas/ProcessorParametersVerifoneAU"}]},{"title":"SC_AMEX","allOf":[{"$ref":"#/components/schemas/ProcessorParametersSC"}]},{"title":"SC_EVRY","allOf":[{"$ref":"#/components/schemas/ProcessorParametersSC"}]},{"title":"SC_LUOTTOKUNTA","allOf":[{"$ref":"#/components/schemas/ProcessorParametersSC"}]},{"title":"SC_NETS_DK","allOf":[{"$ref":"#/components/schemas/ProcessorParametersSC"}]},{"title":"SC_NETS_NO","allOf":[{"$ref":"#/components/schemas/ProcessorParametersSC"}]},{"title":"SC_SWEDBANK_SE","allOf":[{"$ref":"#/components/schemas/ProcessorParametersSC"}]},{"title":"OTHER","allOf":[{"$ref":"#/components/schemas/ProcessorParametersOTHER"}]},{"title":"UNIFY_GIVEX","allOf":[{"$ref":"#/components/schemas/ProcessorParametersUnifyGivex"}]}]},"ProcessorParametersGivex":{"title":"Payment Processor Parameters - Givex","description":"Payment Processor Parameters - Givex","type":"object","allOf":[{"$ref":"#/components/schemas/BaseProcessorParameters"},{"properties":{"userid":{"type":"string","minLength":1,"maxLength":50,"description":"User ID, a string with a maximum length of 50 characters."},"password":{"type":"string","minLength":1,"maxLength":20,"description":"Password, a string with a maximum length of 20 characters."},"merchantId":{"type":"string","pattern":"^\\d{1,32}$","description":"Merchant ID, a numeric value consisting of 1 to 32 digits."},"industryCode":{"type":"string","minLength":1,"maxLength":1,"description":"Industry Code, a single-character string."}}}]},"ProcessorParametersUSGPEAST":{"title":"Payment Processor Parameters - GLOBALPAYMENTS_US","description":"Payment Processor Parameters - GLOBALPAYMENTS_US","type":"object","allOf":[{"$ref":"#/components/schemas/BaseProcessorParameters"},{"properties":{"debitEncryptionKey":{"$ref":"#/components/schemas/DebitEncryptionKey"},"BankID":{"$ref":"#/components/schemas/BankID"}}}],"required":["BankID"]},"DebitEncryptionKey":{"description":"Debit Key Name used to determine which keys are loaded as part of a terminal deployment/setup.","type":"string","minLength":1,"maxLength":100},"BankID":{"type":"string","minLength":1,"maxLength":30},"ProcessorParametersUSTSYS":{"title":"Payment Processor Parameters - TSYS_US","description":"Payment Processor Parameters - TSYS_US","type":"object","allOf":[{"$ref":"#/components/schemas/BaseProcessorParameters"},{"properties":{"debitEncryptionKey":{"$ref":"#/components/schemas/DebitEncryptionKey"},"StoreNum":{"$ref":"#/components/schemas/StoreNum"},"AgentBank":{"$ref":"#/components/schemas/AgentBank"},"AgentChain":{"$ref":"#/components/schemas/AgentChain"},"BankBIN":{"$ref":"#/components/schemas/BankBIN"}}}],"required":["StoreNum","AgentBank","AgentChain","BankBIN"]},"StoreNum":{"type":"string","minLength":1,"maxLength":4,"pattern":"^[0-9]+$"},"AgentBank":{"type":"string","minLength":1,"maxLength":6,"pattern":"^[0-9]+$"},"AgentChain":{"type":"string","minLength":1,"maxLength":6,"pattern":"^[0-9]+$"},"BankBIN":{"type":"string","minLength":1,"maxLength":30},"ProcessorParametersUSCHASE":{"title":"Payment Processor Parameters - CHASE_US","description":"Payment Processor Parameters - CHASE_US","type":"object","allOf":[{"$ref":"#/components/schemas/BaseProcessorParameters"},{"properties":{"debitEncryptionKey":{"$ref":"#/components/schemas/DebitEncryptionKey"},"ClientNum":{"$ref":"#/components/schemas/ClientNum"},"FNSNumber":{"$ref":"#/components/schemas/FNSNumber"}}}],"required":["ClientNum"]},"ClientNum":{"type":"string","maxLength":4,"minLength":1,"pattern":"^[0-9]+$"},"FNSNumber":{"description":"A number issued by the US Department of Agriculture Food and Nutrition Service that is used in SNAP transactions. For eWIC processing, this field contains the state assigned retailer ID of the merchant.","type":"string","maxLength":7},"ProcessorParametersUSELAVON":{"title":"Payment Processor Parameters - ELAVON_US","description":"Payment Processor Parameters - ELAVON_US","type":"object","allOf":[{"$ref":"#/components/schemas/BaseProcessorParameters"},{"properties":{"debitEncryptionKey":{"$ref":"#/components/schemas/DebitEncryptionKey"}}}]},"ProcessorParametersUSFIRSTDATA":{"title":"Payment Processor Parameters - FISERV_US","description":"Payment Processor Parameters - FISERV_US","type":"object","allOf":[{"$ref":"#/components/schemas/BaseProcessorParameters"},{"properties":{"debitEncryptionKey":{"$ref":"#/components/schemas/DebitEncryptionKey"},"groupID":{"$ref":"#/components/schemas/GroupId"},"GroupNumber":{"$ref":"#/components/schemas/GroupNumber"},"FNSNumber":{"$ref":"#/components/schemas/FNSNumber"},"tokenTypeId":{"$ref":"#/components/schemas/TokenTypeId"}}}]},"GroupId":{"type":"string","minLength":5,"maxLength":13},"GroupNumber":{"type":"string","minLength":1,"maxLength":50},"TokenTypeId":{"description":"TransArmor Token Type ID","type":"string","minLength":1,"maxLength":4},"ProcessorParametersUSVANTIV":{"title":"Payment Processor Parameters - VANTIV_US","description":"Payment Processor Parameters - VANTIV_US","type":"object","allOf":[{"$ref":"#/components/schemas/BaseProcessorParameters"},{"properties":{"debitEncryptionKey":{"$ref":"#/components/schemas/DebitEncryptionKey"},"BankID":{"$ref":"#/components/schemas/BankID"},"FNSNumber":{"$ref":"#/components/schemas/FNSNumber"}}}],"required":["BankID"]},"ProcessorParametersUSHeartland":{"title":"Payment Processor Parameters - HEARTLAND_US","description":"Payment Processor Parameters - HEARTLAND_US","type":"object","allOf":[{"$ref":"#/components/schemas/BaseProcessorParameters"},{"properties":{"debitEncryptionKey":{"$ref":"#/components/schemas/DebitEncryptionKey"},"StoreNum":{"$ref":"#/components/schemas/StoreNum"},"AgentBank":{"$ref":"#/components/schemas/AgentBank"},"AgentChain":{"$ref":"#/components/schemas/AgentChain"},"BankBIN":{"$ref":"#/components/schemas/BankBIN"}}}],"required":["StoreNum","AgentBank","AgentChain","BankBIN"]},"ProcessorParametersUSTelecheck":{"title":"Payment Processor Parameters - TELECHECK_US","description":"Payment Processor Parameters - TELECHECK_US","type":"object","allOf":[{"$ref":"#/components/schemas/BaseProcessorParameters"},{"properties":{"applicationType":{"$ref":"#/components/schemas/ApplicationType"},"versionControl":{"$ref":"#/components/schemas/VersionControl"}}}],"required":["applicationType","versionControl"]},"ApplicationType":{"description":"This indicates product being used and will be provided by the TeleCheck's Merchant boarding and Certification group.","type":"string","minLength":1,"maxLength":100},"VersionControl":{"description":"This identifies which version of software and hardware the merchant is using to process electronic transaction.","type":"string","minLength":1,"maxLength":50},"ProcessorParametersFiservAU":{"title":"Payment Processor Parameters - FISERV_AU","description":"Payment Processor Parameters - FISERV_AU","type":"object","allOf":[{"$ref":"#/components/schemas/BaseProcessorParameters"},{"properties":{"visaMVV":{"$ref":"#/components/schemas/VisaMVV"},"mastercardMAID":{"$ref":"#/components/schemas/MastercardMAID"},"eftposMTC":{"$ref":"#/components/schemas/EftposMTC"}}}]},"VisaMVV":{"description":"Visa Merchant Verification Value. This is an optional ID assigned to a merchant commonly used for discounts/special interchange fees.","type":"string","minLength":10,"maxLength":10,"pattern":"^[a-zA-Z0-9]*$"},"MastercardMAID":{"description":"Mastercard Assigned ID. This is an optional ID assigned to a merchant commonly used for discounts/special interchange fees.","type":"string","minLength":6,"maxLength":6,"pattern":"^[a-zA-Z0-9]*$"},"EftposMTC":{"description":"EFTPOS Australia Merchant Tier Code. Defines the type of Merchant and, therefore, whether standard, charity or\nDifferential Interchange Fee Rates (DIFR) are payable.\n\nThe value shall be set by Hub to be '901' where Field 018 (Merchant Category Code) is the value '8398', in all other\ncases the value set by Hub shall be the last 3 digits of the EFC tag sent by Acquirer to Hub.\n\nAn invalid Merchant Tier value from Acquirer will be replaced by Hub with the Standard tier code '000'.","type":"string","minLength":3,"maxLength":3,"pattern":"^[a-zA-Z0-9]*$"},"ProcessorParametersCuscalAU":{"title":"Payment Processor Parameters - CUSCAL_AU","description":"Payment Processor Parameters - CUSCAL_AU","type":"object","allOf":[{"$ref":"#/components/schemas/BaseProcessorParameters"},{"properties":{"visaMVV":{"$ref":"#/components/schemas/VisaMVV"},"mastercardMAID":{"$ref":"#/components/schemas/MastercardMAID"},"eftposMTC":{"$ref":"#/components/schemas/EftposMTC"}}}]},"ProcessorParametersWpayAU":{"title":"Payment Processor Parameters - WPAY_AU","description":"Payment Processor Parameters - WPAY_AU","type":"object","allOf":[{"$ref":"#/components/schemas/BaseProcessorParameters"},{"properties":{"visaMVV":{"$ref":"#/components/schemas/VisaMVV"},"mastercardMAID":{"$ref":"#/components/schemas/MastercardMAID"},"eftposMTC":{"$ref":"#/components/schemas/EftposMTC"}}}]},"ProcessorParametersSVS":{"title":"Payment Processor Parameters - SVS","description":"Payment Processor Parameters - SVS","type":"object","allOf":[{"$ref":"#/components/schemas/BaseProcessorParameters"},{"properties":{"merchantId":{"$ref":"#/components/schemas/SvsMerchantId"},"storeNo":{"$ref":"#/components/schemas/SvsStoreNo"},"division":{"$ref":"#/components/schemas/SvsDivision"}}}]},"SvsMerchantId":{"description":"SVS assigned Merchant Identifier.","type":"string","maxLength":30,"pattern":"^[0-9]+$"},"SvsStoreNo":{"description":"SVS assigned Store Number.","type":"string","maxLength":15,"pattern":"^[0-9]+$"},"SvsDivision":{"description":"SVS assigned Division.","type":"string","maxLength":30,"pattern":"^[a-zA-Z0-9]+$"},"ProcessorParametersValuelink":{"title":"Payment Processor Parameters - Valuelink","description":"Payment Processor Parameters - Valuelink","type":"object","allOf":[{"$ref":"#/components/schemas/BaseProcessorParameters"},{"properties":{"merchantId":{"$ref":"#/components/schemas/GiftMerchantId"},"storeNo":{"$ref":"#/components/schemas/GiftStoreNo"},"division":{"$ref":"#/components/schemas/GiftDivision"}}}]},"GiftMerchantId":{"description":"Giftcard Provider assigned Merchant Identifier.","type":"string","pattern":"^[0-9]+$","maxLength":30},"GiftStoreNo":{"description":"Giftcard Provider assigned Store Number.","type":"string","pattern":"^[0-9]+$","maxLength":15},"GiftDivision":{"description":"Giftcard Provider assigned Division.","type":"string","pattern":"^[a-zA-Z0-9]+$","maxLength":30},"ProcessorParametersValutecUS":{"title":"Payment Processor Parameters - ValutecUS","description":"Payment Processor Parameters - ValutecUS","type":"object","allOf":[{"$ref":"#/components/schemas/BaseProcessorParameters"},{"properties":{"merchantId":{"type":"string","pattern":"^\\d{1,10}$","description":"Unique Merchant ID consisting of 1 to 10 numeric digits."},"merchantClientkey":{"type":"string","minLength":1,"maxLength":36,"description":"Merchant Client Key, a string with a length between 1 and 36 characters."},"terminalId":{"type":"string","pattern":"^\\d{1,15}$","description":"Terminal ID consisting of 1 to 15 numeric digits."},"industryCode":{"type":"string","minLength":1,"maxLength":1,"description":"Industry Code represented by a single character."}}}]},"ProcessorParametersVerifoneAU":{"title":"Payment Processor Parameters - VERIFONE_AU","description":"Payment Processor Parameters - VERIFONE_AU","type":"object","allOf":[{"$ref":"#/components/schemas/BaseProcessorParameters"},{"properties":{"visaMVV":{"$ref":"#/components/schemas/VisaMVV"},"mastercardMAID":{"$ref":"#/components/schemas/MastercardMAID"},"eftposMTC":{"$ref":"#/components/schemas/EftposMTC"}}}]},"ProcessorParametersSC":{"title":"Payment Processor Parameters - Sales Connector","description":"Payment Processor Parameters - Sales Connector","type":"object","allOf":[{"$ref":"#/components/schemas/BaseProcessorParameters"},{"properties":{"settlementProcess":{"$ref":"#/components/schemas/ScSettlementProcessType"}}}],"required":["settlementProcess"]},"ScSettlementProcessType":{"title":"Settlement Process Type","description":"Indicates the settlement process to be used for this contract. Different settlement processes may be used for the processor and acquirer. For example T1 merchants may agree with the acquirer to have a separate settlement file from all SMB merchants. Different process may also be used for master merchant processing.","type":"string","enum":["SC_AMEX","SC_AMEX_SUPER_AIO","SC_EVRY","SC_LUOTTOKUNTA","SC_NETS_DK","SC_NETS_NO","SC_NETS_NO_ONLINE_RECON","SC_SWEDBANK_FI","SC_SWEDBANK_SE","SC_WORLDLINE_MASTER_MERCHANT","SC_WORLDLINE_SUPER_AIO","SC_WORLDLINE_SUPER_AIO_BALTICS","SC_WORLDLINE_SUPER_AIO_SE","SC_WORLDLINE_SUPER_AIO_DK","SC_WORLDLINE_SUPER_AIO_NO"]},"ProcessorParametersOTHER":{"title":"Payment Processor Parameters - OTHER","description":"Payment Processor Parameters - OTHER","type":"object","allOf":[{"$ref":"#/components/schemas/BaseProcessorParameters"}]},"ProcessorParametersUnifyGivex":{"title":"Payment Processor Parameters - Unify Givex","description":"Payment Processor Parameters - Unify Givex","type":"object","allOf":[{"$ref":"#/components/schemas/BaseProcessorParameters"},{"properties":{"merchantId":{"type":"string","pattern":"^\\d{1,32}$","description":"GIVEX-assigned merchant/user ID. Numeric string, 1–32 digits."},"password":{"type":"string","minLength":1,"writeOnly":true,"description":"Unify Givex password."},"industryCode":{"type":"string","enum":["D","R","F"],"description":"Industry code. D=Direct, R=Retail, F=Food/Restaurant."}}}]},"ThreeDSecureMerchantIdentifiers":{"title":"Merchant Identifier","description":"Override the Merchant ID (merchantId) with the default value configured in the payment provider contract (PPC), where applicable.\nIn cases where the acquirer-issued Merchant ID for the authorization flow differs from the one used in the 3DS (SafeKey) flow, ensure the correct ID is applied for each flow.\nFor example, Amex often requires merchants to complete separate onboarding processes for 3DS and authorization, resulting in two distinct Merchant IDs:\n* One used for SafeKey (3DS authentication) * Another used for authorization via the acquirer or gateway","required":["merchantId","paymentType"],"properties":{"merchantId":{"type":"string","description":"Merchant ID assigned by Acquirer for 3DS flow. Override the Merchant ID (merchantId) with the default value configured in the payment provider contract (PPC), where applicable.\nIn cases where the acquirer-issued Merchant ID for the authorization flow differs from the one used in the 3DS (SafeKey) flow, ensure the correct ID is applied for each flow.\nFor example, Amex often requires merchants to complete separate onboarding processes for 3DS and authorization, resulting in two distinct Merchant IDs:\n\n  * One used for SafeKey (3DS authentication)\n  * Another used for authorization via the acquirer or gateway","pattern":"^$|^(?!\\s*$).+","maxLength":30},"paymentType":{"$ref":"#/components/schemas/PaymentTypeEnum"}}},"PaymentTypeEnum":{"title":"Payment Type","description":"A type indicator for the payment that is being processed. Value `GIFT` is deprecated.","type":"string","enum":["AFFIRM","AFTERPAY","ALIPAY","AMEX","BAIDU_PAY","BANK","BANKAXEPT","BARTERCARD","BBBY_COB","BBBY_PLCC","BLIK","BP_FUELCARD","CALLIO_GASTRO","CARD","CARDLINK","CARNET","CASH","CB","CHEQUE","CLAVE","CRYPTO","DANKORT","DEBIT","DINERS","DISCOVER","EASYCD","EBT","EBT_WIC_OFFLINE","ECARD","ECARDZ","EDENRED","ELECTRON","EZIPAY","FARMERS_FINANCE","FARMLAND","FARMLANDS","FINNISH_DIRECT_BANKING","FLEETCOR","FLEETONE","FLEXECASH","FORBRUGSFORENINGEN","FPF_GIFT","GARMIN_PAY","GIFT","GIFT_CARD","GIROCARD","IKANO","ISRACARD","ISRAEL_PRIVATE_LABEL","JCB","JD_PAY","KLARNA","KLARNA_ECOM","KLARAN_QR","KLARNA_QR","LANDSBANKINN","MASTERCARD","MAESTRO","MOBILEPAY","MOBILEPAY_ECOM","OP_ONLINE_PAYMENT","PAYPAL","PAYPAL_ECOM","PAYPAL_ECOM_MANAGED","PAYPAL_QR","PIX","PLCC","Q_CARD","RESURS_BANK","RURALCO","SAMSUNG_PAY","SODEXO_GASTRO","SUPERCARD","SWISH","SWISH_ECOM","TEN_PAY","TRANXACTOR","TRUE_REWARDS","TT_CARD","UP_SLOVENSKA","UPI","VENMO","VENMO_ECOM","VENMO_QR","VIPPS","VIPPS_ECOM","VISA","VOYAGER","VPAY","WECHAT","WESTFIELD_GIFTCARD","WESTPAC_DEBIT","WEX","ZELLE","ZIP","OTHER"]},"ContractUid":{"description":"The Verifone assigned ID corresponding to the contract.","type":"string","format":"uuid"},"AddressWithoutType":{"description":"An Address following the convention of http://microformats.org/wiki/hcard","type":"object","required":["addressLine1","city","postCode","country"],"allOf":[{"$ref":"#/components/schemas/BaseAddressWithoutType"}]},"BaseAddressWithoutType":{"description":"An Address following the convention of http://microformats.org/wiki/hcard","type":"object","allOf":[{"$ref":"#/components/schemas/BaseAddress"}],"properties":{"contact":{"$ref":"#/components/schemas/ContactType"},"vfiSiteId":{"maxLength":50,"minLength":1,"type":"string","description":"Address/Site identifier known as within Verifone internal systems."},"storeNumber":{"type":"string","description":"Store Number or Client/Customer ID in Oracle"},"governmentOwned":{"type":"boolean","description":"Indicates whether the address is government-owned. E.g. Address can be in Sweden, but can be a US Embassy."},"governmentCountry":{"$ref":"#/components/schemas/CountryCode3Enum"}}},"BaseServiceTarget":{"description":"Target for  the service package(s).For e.g. this can be Site & selected POIs or all POIs in the site.","properties":{"targetType":{"type":"string","default":"SiteAndPois"}},"discriminator":{"propertyName":"targetType","mapping":{"SiteAndPois":"#/components/schemas/SiteAndPoisForService"}},"required":["targetType"],"oneOf":[{"title":"SiteAndPois","allOf":[{"$ref":"#/components/schemas/SiteAndPoisForService"}]}]},"SiteAndPoisForService":{"description":"Site & its POIs for  the service.All POIs within site are selected if no POI is mentioned.","type":"object","allOf":[{"$ref":"#/components/schemas/BaseServiceTarget"},{"properties":{"siteEntityUid":{"type":"string","format":"uuid","description":"Internal id used for the site"},"pois":{"type":"array","description":"If not specified implies all POIs belonging to the site","items":{"$ref":"#/components/schemas/PoiUidWithAcquirerIds"}}}}],"required":["siteEntityUid"]},"PoiUidWithAcquirerIds":{"description":"POI identifier with optional acquirer TID mappings.","type":"object","properties":{"poiUid":{"$ref":"#/components/schemas/PoiUid"},"acquirerPoiIds":{"type":"array","maxItems":50,"description":"Key value pairs linking acquirer name to their TID for this POI.","items":{"$ref":"#/components/schemas/VariableResponseType"}}},"required":["poiUid"]},"PoiUid":{"description":"The Verifone allocated unique id for this terminal/POI. This is allocated by Verifone when an order is initially received.","type":"string","format":"uuid"},"AdditionalServicesOrderResponse":{"allOf":[{"$ref":"#/components/schemas/AdditionalServicesOrder"},{"$ref":"#/components/schemas/CommonOrderResponse"},{"properties":{"orderType":{"type":"string","default":"AdditionalServicesOrder"},"internal":{"$ref":"#/components/schemas/InternalAllocatedInformation"}}}]},"CommonOrderResponse":{"description":"Standard fields returned in Order responses","properties":{"orderId":{"$ref":"#/components/schemas/OrderId"},"status":{"$ref":"#/components/schemas/OrderStatusEnum"},"createdUserUid":{"$ref":"#/components/schemas/CreatedUserId"},"createdBy":{"$ref":"#/components/schemas/UserName"},"createdDate":{"type":"string","description":"The created date for this order.","format":"date-time"},"modifiedUserUid":{"description":"The assigned User_ID corresponding to the Order Modified By.","type":"string","format":"uuid"},"modifiedBy":{"$ref":"#/components/schemas/UserName"},"modifiedDate":{"type":"string","description":"The last modified date for this order.","format":"date-time"},"entityUid":{"$ref":"#/components/schemas/EntityUid"},"merchantCompanyEntityUid":{"$ref":"#/components/schemas/MerchantCompanyEntityUid"},"merchant":{"$ref":"#/components/schemas/MerchantNameWrapper"}}},"OrderId":{"description":"Verifone allocated ID for the Order.","type":"string","format":"uuid"},"OrderStatusEnum":{"type":"string","enum":["DRAFT","SUBMITTED","INPROGRESS","COMPLETED","CANCELLED","ONHOLD"]},"CreatedUserId":{"description":"The assigned User ID corresponding to the Order Created By.","type":"string","format":"uuid"},"UserName":{"description":"The username of the person who's UID is represented, e.g. \"John/Jane Smith\".","type":"string","minLength":1},"EntityUid":{"description":"The Verifone allocated unique id for this site.","type":"string","format":"uuid"},"MerchantCompanyEntityUid":{"description":"The Verifone allocated unique ID for this merchant company.","type":"string","format":"uuid"},"MerchantNameWrapper":{"description":"Simple Wrapper object for Merchant Name.Used by UI.","type":"object","properties":{"merchantName":{"$ref":"#/components/schemas/MerchantName"}}},"MerchantName":{"description":"The primary merchant name, e.g. \"McDonalds\".","type":"string","pattern":"^(?!\\\\s*$).+","minLength":1,"maxLength":100},"InternalAllocatedInformation":{"description":"Internally allocated identifiers. This is for verifone use only and is subject to change.","type":"object","properties":{"oracleOrderNumber":{"description":"The order number which Oracle allocated as part of the order.","type":"number"},"oracleShippingTrackingReference":{"description":"The order shipping reference which Oracle allocated as part of the order.","type":"string"},"kycReportUid":{"description":"KYC report generated for this order.","type":"string","format":"uuid"},"tokenScopeUid":{"description":"Token scope generated for this order.","type":"string","format":"uuid"},"extendedDetails":{"$ref":"#/components/schemas/ExtendedDetails"},"orderStats":{"$ref":"#/components/schemas/OrderStats"},"vmssApplication":{"$ref":"#/components/schemas/VmssApplication"},"salesforceApplicationId":{"description":"The Application ID allocated by Salesforce.","type":"string"},"signingInformation":{"$ref":"#/components/schemas/SigningInformation"},"econtractNotificationReminder":{"description":"E-Contract Notification Reminder Sent Details.","$ref":"#/components/schemas/NotificationReminder"},"draftNotificationReminder":{"description":"Draft Notification Reminder Sent Details.","$ref":"#/components/schemas/NotificationReminder"},"notificationReminders":{"description":"A container for all supported notification reminders.","$ref":"#/components/schemas/NotificationReminders"},"customerOrderLink":{"description":"Details of Customer Order Link.","$ref":"#/components/schemas/CustomerOrderLink"},"cancellationHistory":{"type":"array","description":"List of cancellation records for the customer order.","items":{"$ref":"#/components/schemas/OrderCancellation"}},"externalOnboarding":{"type":"object","description":"External merchant onboarding details","$ref":"#/components/schemas/ExternalOnboarding"}}},"ExtendedDetails":{"description":"Detailed Status of the Order","type":"object","properties":{"status":{"$ref":"#/components/schemas/DetailedStatusEnum"},"code":{"type":"string","description":"Code associated with the status (if applicable)"},"information":{"type":"string","description":"Extra Information associated with the status (if applicable)"},"lastChangeTime":{"$ref":"#/components/schemas/LastChangeTime"},"canCancel":{"type":"boolean","description":"Can this order be cancelled."}}},"DetailedStatusEnum":{"description":"An order will be in one of the following states.","type":"string","enum":["DRAFT","SUBMITTED","INPROGRESS","PENDING_THIRD_PARTY","PENDING_SIGNATURE","UNDER_REVIEW","REQUIRES_ATTENTION","INTERNAL_BOARDING","FULFILMENT_BOOKED","FULFILMENT_PICKED","FULFILMENT_SHIPPED","CANCEL_REQUESTED","CANCEL_INPROGRESS","CANCEL_ERROR","CANCELED_BYUSER","COMPLETED","CANCELLED","DECLINED","ONHOLD","OFFER_SENT","OPENED_BY_CUSTOMER","INPROGRESS_BY_CUSTOMER","DOCS_REQUIRED","DOCS_REQUIRES_ATTENTION"]},"LastChangeTime":{"description":"Time status detailed status last changed.","type":"string","format":"date-time"},"OrderStats":{"type":"object","description":"Order Statistics","properties":{"minsSinceCreatedToLastUpdate":{"type":"integer","description":"Number of minutes since last status update and created order time","default":0},"minsSinceLastStatusUpdate":{"type":"integer","description":"Number of minutes (if > 0) since last status update","default":0}}},"VmssApplication":{"type":"object","properties":{"visaStatus":{"$ref":"#/components/schemas/VmssSchemeStatus"},"visaMatches":{"$ref":"#/components/schemas/VmssSchemeMatches"},"mcdStatus":{"$ref":"#/components/schemas/VmssSchemeStatus"},"mcdMatches":{"$ref":"#/components/schemas/VmssSchemeMatches"},"mcdTransactionReference":{"type":"string","description":"Reference to the status check to mastercard"}}},"VmssSchemeStatus":{"description":"Scheme Status","type":"string","enum":["NA ","PENDING","ERROR","COMPLETE"]},"VmssSchemeMatches":{"description":"Number of matches found against the VMSS service.","type":"number"},"SigningInformation":{"description":"Information on the signing request.","type":"object","properties":{"provider":{"type":"string","description":"Signing Provider used","enum":["SIGNICAT","ADOBE","DOKOBIT"]},"providerRef":{"type":"string","description":"Signing Provider reference to the signing request"},"signedFileUrl":{"type":"string","description":"URL to the signed file"},"signingRequests":{"type":"array","items":{"$ref":"#/components/schemas/SignersInformation"}}},"required":["provider","providerRef"]},"SignersInformation":{"description":"Information on the signers in the request.","type":"object","properties":{"providerRef":{"description":"Signing Provider reference to the signers signing request.","type":"string"},"contact":{"$ref":"#/components/schemas/ContactType"},"signed":{"description":"Has the signer signed the contract.","type":"boolean","default":false},"signedDateTime":{"description":"Date/Time signer signed the request.","type":"string","format":"date-time"},"signingLink":{"description":"This is the link used for signing the contract.","type":"string"}},"required":["contact"]},"NotificationReminder":{"description":"Notification Reminder Sent Details","type":"object","properties":{"lastNotificationSentDateTime":{"description":"Date and Time of the last notification sent. Defaulted to `createdDateTime` on first saved order.","type":"string","format":"date-time"},"notificationCount":{"description":"Number of notifications sent. -1 = Unsubscribed, or 1, 2, 3 as per the notification sent.","type":"integer"},"templateName":{"description":"NotificationTemplate Name used, e.g. `T650P_WELCOME`","type":"string"},"notifications":{"description":"List of notifications, each with the date-time sent and the template used.","type":"array","items":{"$ref":"#/components/schemas/Notification"}}}},"Notification":{"description":"Object containing the sent date-time and template used for the notification.","type":"object","properties":{"sentDateTime":{"description":"Date and Time when the notification was sent.","type":"string","format":"date-time"},"template":{"description":"Template name used for the notification.","type":"string"},"responseReferenceId":{"description":"An ID from Messaging Service's response.","type":"string"}}},"NotificationReminders":{"description":"A container for all supported notification reminders.","type":"object","properties":{"econtract":{"$ref":"#/components/schemas/NotificationReminder"},"draft":{"$ref":"#/components/schemas/NotificationReminder"},"docRequired":{"$ref":"#/components/schemas/NotificationReminder"}},"additionalProperties":false},"CustomerOrderLink":{"description":"Customer Order Link Sent Details","type":"object","properties":{"orderLink":{"description":"The unique order link sent to the customer to help them navigate directly to the relevant  step in the order process. This link ensures the customer can update their order efficiently.\n","type":"string","format":"uri"},"linkInitiatorUserUid":{"description":"The unique User ID of the user who generated the order link.","type":"string","format":"uuid"},"linkInitiatorUsername":{"$ref":"#/components/schemas/UserName"},"linkReceiverUserUid":{"description":"The unique User ID of the customer who received the order link.","type":"string","format":"uuid"},"linkReceiverUsername":{"$ref":"#/components/schemas/UserName"},"linkSendTime":{"description":"Date and time when the order link was sent to the customer.  This represents when the system triggered the link delivery.\n","type":"string","format":"date-time"},"linkOpendByCustomerTime":{"description":"Date and time when the order link was opened by the customer.\n","type":"string","format":"date-time"},"customerUpdateTime":{"description":"Date and time when the customer last updated their order after using the order link.\n","type":"string","format":"date-time"}}},"OrderCancellation":{"type":"object","properties":{"cancelReasonEnum":{"$ref":"#/components/schemas/CancelReasonEnum"},"cancelAdditionalReason":{"$ref":"#/components/schemas/CancelAdditionalReason"},"cancelledUserUid":{"description":"Unique identifier (UUID) of the user who performed the cancellation.","type":"string","format":"uuid"},"cancelledBy":{"$ref":"#/components/schemas/UserName"},"cancelledDate":{"type":"string","description":"Date and time when the order was cancelled, in UTC.","format":"date-time"}},"required":["cancelReasonEnum"]},"CancelReasonEnum":{"description":"Reason for order cancellation.","type":"string","enum":["ADMIN_REASON","RELATED_PO_CHANGES","WRONG_PRODUCT","ORDER_LATE","OTHER"]},"CancelAdditionalReason":{"description":"Free-Form reason for order cancellation.","type":"string"},"ExternalOnboarding":{"description":"External merchant onboarding details","type":"object","discriminator":{"propertyName":"provider","mapping":{"BANKAXEPT":"#/components/schemas/BankAxeptExternalOnboarding"}},"properties":{"provider":{"title":"External Onboarding Provider","description":"The third-party provider used for merchant onboarding.","type":"string","enum":["BANKAXEPT"],"default":"BANKAXEPT"},"agreementId":{"type":"string","format":"uuid","description":"Agreement or onboarding order identifier returned by the third-party provider when onboarding is initiated.\n"},"agreementStatus":{"type":"string","description":"Latest onboarding or agreement status received from the third-party provider.\n"}},"oneOf":[{"title":"BANKAXEPT","allOf":[{"$ref":"#/components/schemas/BankAxeptExternalOnboarding"}]}]},"BankAxeptExternalOnboarding":{"title":"Bank Axept External Onboarding","description":"Bank Axept specific external merchant onboarding details","type":"object","allOf":[{"$ref":"#/components/schemas/ExternalOnboarding"},{"properties":{"merchantId":{"type":"string","description":"Merchant ID / Bax Id."}}}]},"httpError400":{"title":"HTTP 400 Error","type":"object","description":"The request could not be understood by the server due to malformed syntax.","allOf":[{"$ref":"#/components/schemas/ErrorResp"},{"properties":{"code":{"type":"string","enum":["400"],"default":"400"},"title":{"type":"string","enum":["Bad Request"],"default":"Bad Request"},"message":{"type":"string","default":"The request could not be understood by the server due to malformed syntax. The client SHOULD NOT repeat the request without modifications."},"timestamp":{"description":"The time that the error occurred. All dates in the JSON payloads are represented in ISO 8601 date-time format. \nAll date-time fields in responses must include the timezone.","type":"string","format":"date-time"},"type":{"type":"string","enum":["INVALID_REQUEST_ERROR"],"default":"INVALID_REQUEST_ERROR"},"param":{"description":"The parameter the error relates to if the error is parameter-specific. You can use this to display a message near the correct form field, for example.","type":"string"}}}],"required":["code","title","message","type"],"additionalProperties":false},"ErrorResp":{"title":"Error","description":"A common Error object returned as part of the API layer.\n\n. This is modified to become the base class for all of the derived HTTP Error Responses.","type":"object","properties":{"reversalStatus":{"description":"Indicates to the API client if a technical reversal is required or has been completed by Verifone.\n\n|Value|Description|\n|-|-|\n|NONE|Reversal status is not set. This indicates the status of reversal processing is not known and the client should implement default reversal processing.|\n|REQUIRED|A reversal is required by the client.|\n|COMPLETED|A reversal has been completed by verifone or a reversal is not required for this transaction.|","type":"string","enum":["NONE","REQUIRED","COMPLETED"],"default":"NONE"}},"required":["code"]},"httpError401":{"title":"HTTP 401 Error","type":"object","description":"The request must be authenticated to access the resource.","allOf":[{"$ref":"#/components/schemas/ErrorResp"},{"properties":{"code":{"type":"string","enum":["401"],"default":"401"},"title":{"type":"string","enum":["Unauthorised"],"default":"Unauthorised"},"message":{"type":"string","default":"The request requires client authentication."},"timestamp":{"description":"The time that the error occurred. All dates in the JSON payloads are represented in ISO 8601 date-time format. \nAll date-time fields in responses must include the timezone.","type":"string","format":"date-time"},"type":{"type":"string","enum":["AUTHENTICATION_ERROR"],"default":"AUTHENTICATION_ERROR"},"param":{"description":"The parameter the error relates to if the error is parameter-specific. You can use this to display a message near the correct form field, for example.","type":"string"}}}],"required":["code","title","message","type"],"additionalProperties":false},"httpError403":{"title":"HTTP 403 Error","type":"object","description":"The request must be authorised to access the resource.","allOf":[{"$ref":"#/components/schemas/ErrorResp"},{"properties":{"code":{"type":"string","enum":["403"],"default":"403"},"title":{"type":"string","enum":["Forbidden"],"default":"Forbidden"},"message":{"type":"string","default":"The request requires client authorisation to access resource."},"timestamp":{"description":"The time that the error occurred. All dates in the JSON payloads are represented in ISO 8601 date-time format. \nAll date-time fields in responses must include the timezone.","type":"string","format":"date-time"},"type":{"type":"string","enum":["AUTHENTICATION_ERROR"],"default":"AUTHENTICATION_ERROR"},"param":{"description":"The parameter the error relates to if the error is parameter-specific. You can use this to display a message near the correct form field, for example.","type":"string"}}}],"required":["code","title","message","type"],"additionalProperties":false},"httpError404":{"title":"HTTP 404 Error","type":"object","description":"The server cannot find the requested resource.","allOf":[{"$ref":"#/components/schemas/ErrorResp"},{"properties":{"code":{"type":"string","enum":["404"],"default":"404"},"title":{"type":"string","enum":["Not Found"],"default":"Not Found"},"message":{"type":"string","default":"The server cannot find the requested resource."},"timestamp":{"description":"The time that the error occurred. All dates in the JSON payloads are represented in ISO 8601 date-time format. \nAll date-time fields in responses must include the timezone.","type":"string","format":"date-time"},"type":{"type":"string","enum":["INVALID_REQUEST_ERROR"],"default":"INVALID_REQUEST_ERROR"},"param":{"description":"The parameter the error relates to if the error is parameter-specific. You can use this to display a message near the correct form field, for example.","type":"string"}}}],"required":["code","title","message","type"],"additionalProperties":false},"httpError429":{"title":"HTTP 429 Error","type":"object","description":"The resource exists the number of requests has exceeded the specified quota.","allOf":[{"$ref":"#/components/schemas/ErrorResp"},{"properties":{"code":{"type":"string","enum":["429"],"default":"429"},"title":{"type":"string","enum":["Too Many Requests"],"default":"Too Many Requests"},"message":{"type":"string","default":"The number of requests from this client is restricted to a specified quota."},"timestamp":{"description":"The time that the error occurred. All dates in the JSON payloads are represented in ISO 8601 date-time format. \nAll date-time fields in responses must include the timezone.","type":"string","format":"date-time"},"type":{"type":"string","enum":["RATE_LIMIT_ERROR"],"default":"RATE_LIMIT_ERROR"},"param":{"description":"The parameter the error relates to if the error is parameter-specific. You can use this to display a message near the correct form field, for example.","type":"string"}}}],"required":["code","title","message","type"],"additionalProperties":false},"httpError500":{"title":"HTTP 500 Error","type":"object","description":"Unexpected Server Error","allOf":[{"$ref":"#/components/schemas/ErrorResp"},{"properties":{"code":{"type":"string","enum":["500"],"default":"500"},"title":{"type":"string","enum":["Internal Server Error"],"default":"Internal Server Error"},"message":{"type":"string","default":"The server encountered an unexpected condition which prevented it from fulfilling the request."},"timestamp":{"description":"The time that the error occurred. All dates in the JSON payloads are represented in ISO 8601 date-time format. \nAll date-time fields in responses must include the timezone.","type":"string","format":"date-time"},"type":{"type":"string","enum":["API_ERROR"],"default":"API_ERROR"},"param":{"description":"The parameter the error relates to if the error is parameter-specific. You can use this to display a message near the correct form field, for example.","type":"string"}}}],"required":["code","title","message","type"],"additionalProperties":false},"httpError503":{"title":"HTTP 503 Error","type":"object","description":"Service Unavailable Error","allOf":[{"$ref":"#/components/schemas/ErrorResp"},{"properties":{"code":{"type":"string","enum":["503"],"default":"503"},"title":{"type":"string","enum":["Service Unavailable"],"default":"Service Unavailable"},"message":{"type":"string","default":"The server is not ready to handle the request. If specified please check the <strong>Retry-After</strong> for the time period specified for recovery/re-attempt of request."},"timestamp":{"description":"The time that the error occurred. All dates in the JSON payloads are represented in ISO 8601 date-time format. \nAll date-time fields in responses must include the timezone.","type":"string","format":"date-time"},"type":{"type":"string","enum":["API_ERROR"],"default":"API_ERROR"},"param":{"description":"The parameter the error relates to if the error is parameter-specific. You can use this to display a message near the correct form field, for example.","type":"string"}}}],"required":["code","title","message","type"],"additionalProperties":false},"httpError504":{"title":"HTTP 504 Error","type":"object","description":"Gateway Timeout Error","allOf":[{"$ref":"#/components/schemas/ErrorResp"},{"properties":{"code":{"type":"string","enum":["504"],"default":"504"},"title":{"type":"string","enum":["Gateway Timeout"],"default":"Gateway Timeout"},"message":{"type":"string","default":"The server, while acting as a gateway or proxy, did not get a response in time from the upstream server that it needed in order to complete the request."},"timestamp":{"description":"The time that the error occurred. All dates in the JSON payloads are represented in ISO 8601 date-time format. \nAll date-time fields in responses must include the timezone.","type":"string","format":"date-time"},"type":{"type":"string","enum":["API_ERROR"],"default":"API_ERROR"},"param":{"description":"The parameter the error relates to if the error is parameter-specific. You can use this to display a message near the correct form field, for example.","type":"string"}}}],"required":["code","title","message","type"],"additionalProperties":false}},"responses":{"400":{"description":"Bad Request","content":{"application/json":{"schema":{"allOf":[{"$ref":"#/components/schemas/httpError400"},{"properties":{"param":{"description":"The parameter the error relates to if the error is parameter-specific. You can use this to display a message near the correct form field, for example.","type":"string"},"additionalProperties":{"type":"object","additionalProperties":{"type":"object"}}}}],"required":["code","title","message","type"]}}}},"401":{"description":"Unauthorised Request","content":{"application/json":{"schema":{"allOf":[{"$ref":"#/components/schemas/httpError401"},{"properties":{"param":{"description":"The parameter the error relates to if the error is parameter-specific. You can use this to display a message near the correct form field, for example.","type":"string"},"additionalProperties":{"type":"object","additionalProperties":{"type":"object"}}}}],"required":["code","title","message","type"]}}}},"403":{"description":"Forbidden Request.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/httpError403"}}}},"404":{"description":"Not Found Request","content":{"application/json":{"schema":{"allOf":[{"$ref":"#/components/schemas/httpError404"},{"properties":{"param":{"description":"The parameter the error relates to if the error is parameter-specific. You can use this to display a message near the correct form field, for example.","type":"string"},"additionalProperties":{"type":"object","additionalProperties":{"type":"object"}}}}],"required":["code","title","message","type"]}}}},"429":{"description":"Too Many Requests","content":{"application/json":{"schema":{"allOf":[{"$ref":"#/components/schemas/httpError429"},{"properties":{"param":{"description":"The parameter the error relates to if the error is parameter-specific. You can use this to display a message near the correct form field, for example.","type":"string"},"additionalProperties":{"type":"object","additionalProperties":{"type":"object"}}}}],"required":["code","title","message","type"]}}}},"500":{"description":"Internal Error","content":{"application/json":{"schema":{"allOf":[{"$ref":"#/components/schemas/httpError500"},{"properties":{"param":{"description":"The parameter the error relates to if the error is parameter-specific. You can use this to display a message near the correct form field, for example.","type":"string"},"additionalProperties":{"type":"object","additionalProperties":{"type":"object"}}}}],"required":["code","title","message","type"]}}}},"503":{"description":"Service Not Available","content":{"application/json":{"schema":{"allOf":[{"$ref":"#/components/schemas/httpError503"},{"properties":{"param":{"description":"The parameter the error relates to if the error is parameter-specific. You can use this to display a message near the correct form field, for example.","type":"string"},"additionalProperties":{"type":"object","additionalProperties":{"type":"object"}}}}],"required":["code","title","message","type"]}}}},"504":{"description":"Service Timeout","content":{"application/json":{"schema":{"allOf":[{"$ref":"#/components/schemas/httpError504"},{"properties":{"param":{"description":"The parameter the error relates to if the error is parameter-specific. You can use this to display a message near the correct form field, for example.","type":"string"},"additionalProperties":{"type":"object","additionalProperties":{"type":"object"}}}}],"required":["code","title","message","type"]}}}}}}}
```

## Update Additional Services Order

> Updates an existing add-on services order, provided the order has not yet been submitted.

```json
{"openapi":"3.0.0","info":{"title":"Verifone Order Internal API","version":"2.63.1-SNAPSHOT"},"tags":[{"name":"Additional Services","description":"Operations to manage additional services for merchant orders."}],"servers":[{"url":"https://api.verifone.com"}],"paths":{"/orders/merchant/additionalServices/{orderId}":{"put":{"tags":["Additional Services"],"summary":"Update Additional Services Order","description":"Updates an existing add-on services order, provided the order has not yet been submitted.","operationId":"updateAddOnServicesOrderRequest","parameters":[{"$ref":"#/components/parameters/orderIdPathParam"}],"requestBody":{"description":"Additional Services Order Request Body","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AdditionalServicesOrder"}}}},"responses":{"201":{"description":"Update Additional Services Order Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AdditionalServicesOrderResponse"}}}},"400":{"$ref":"#/components/responses/400"},"401":{"$ref":"#/components/responses/401"},"403":{"$ref":"#/components/responses/403"},"404":{"$ref":"#/components/responses/404"},"429":{"$ref":"#/components/responses/429"},"500":{"$ref":"#/components/responses/500"},"503":{"$ref":"#/components/responses/503"},"504":{"$ref":"#/components/responses/504"}}}}},"components":{"parameters":{"orderIdPathParam":{"name":"orderId","in":"path","description":"Verifone allocated ID for the Order.","required":true,"schema":{"$ref":"#/components/schemas/OrderId"}}},"schemas":{"OrderId":{"description":"Verifone allocated ID for the Order.","type":"string","format":"uuid"},"AdditionalServicesOrder":{"description":"Additional services order & package details","type":"object","allOf":[{"$ref":"#/components/schemas/BaseOrderData"},{"properties":{"portfolioUid":{"description":"Verifone ID for the Portfolio Selected. If this is not provided then a default portfolio will be used.","type":"string","format":"uuid"},"contract":{"$ref":"#/components/schemas/MerchantContract"},"servicePackages":{"type":"array","minItems":1,"maxItems":100,"items":{"$ref":"#/components/schemas/ServicePackageWithPPC"}},"shippingAddress":{"$ref":"#/components/schemas/AddressWithoutType"},"billingAddress":{"$ref":"#/components/schemas/AddressWithoutType"},"serviceTarget":{"$ref":"#/components/schemas/BaseServiceTarget"}}}],"required":["serviceTarget","servicePackages"]},"BaseOrderData":{"type":"object","properties":{"orderReference":{"$ref":"#/components/schemas/OrderReference"},"customerEntityUid":{"type":"string","format":"uuid","description":"Verifone allocated ID for the customer this order is for (packages and bundles are associated with this entity)."},"requestedDate":{"type":"string","description":"The requested date for this order.","format":"date-time"},"deferredOrderProcessingDate":{"type":"string","format":"date-time","description":"Defers order processing until the specified ISO 8601 UTC datetime (e.g. 2026-06-20T09:00:00Z). The workflow will not start before this point. If absent, processing begins immediately."},"poRef":{"type":"string","description":"Purchase Order Reference"},"paymentDetails":{"$ref":"#/components/schemas/PaymentDetails"},"notes":{"type":"string","description":"Notes for the Order"},"additionalOrderData":{"type":"array","description":"Input data which maybe required for the country/business unit to to complete the order. For example some countries require a VAT ID, or different legal forms of business, this will be defined by Verifone if needed for your integration","maxItems":100,"items":{"$ref":"#/components/schemas/VariableResponseType"}}},"required":["orderReference","customerEntityUid"]},"OrderReference":{"description":"Client reference for the Order.","type":"string","minLength":1},"PaymentDetails":{"description":"Details of how the order will be paid, and the further re-occuring billing for services.","type":"object","properties":{"paymentType":{"type":"string","description":"Type of payment that can be made.","default":"CREDIT"}},"discriminator":{"propertyName":"paymentType","mapping":{"ACCOUNT":"#/components/schemas/PaymentDetailsAccount","CREDIT":"#/components/schemas/PaymentDetailsCredit","NET":"#/components/schemas/PaymentDetailsNET","EINVOICE":"#/components/schemas/PaymentDetailsEInvoice"}},"required":["paymentType"],"oneOf":[{"title":"ACCOUNT","allOf":[{"$ref":"#/components/schemas/PaymentDetailsAccount"}]},{"title":"CREDIT","allOf":[{"$ref":"#/components/schemas/PaymentDetailsCredit"}]},{"title":"NET","allOf":[{"$ref":"#/components/schemas/PaymentDetailsNET"}]},{"title":"EINVOICE","allOf":[{"$ref":"#/components/schemas/PaymentDetailsEInvoice"}]}]},"PaymentDetailsAccount":{"allOf":[{"$ref":"#/components/schemas/PaymentDetails"},{"properties":{"accountType":{"$ref":"#/components/schemas/PaymentAccountType"},"accountCurrency":{"$ref":"#/components/schemas/CurrencyCodeEnum"},"institutionName":{"type":"string","description":"Name of the institution where the account is held."},"accountName":{"type":"string","description":"Name of the account as known by the financial institution operating the account."},"sortCode":{"type":"string","description":"The Routing Number for the bank account. Also referred to as the UK Sorting Code identifier, range from 4 to 6 chars, e.g. [xxxx or xxxxx or xxxxxx].","pattern":"^[0-9]{4,6}$"},"bsb":{"type":"string","description":"An Australian/New Zealand term for the Bank State Branch indicator. It is a 6 digit value constructed with the first 2 digits identifying the bank.","pattern":"^[0-9]{6,6}$"},"routingTransitNumber":{"type":"string","description":"routing transit number for the bank account. A routing transit number is a nine-digit number used to identify a bank or financial institution when clearing funds or processing checks. Established by the American Bankers Association (ABA)","pattern":"^[0-9]{9,9}$"},"accountNumber":{"type":"string","description":"The Number of the account"},"accountAddress":{"$ref":"#/components/schemas/BaseAddress"},"ean":{"type":"string","description":"EAN Reference, thirteen digit reference","pattern":"^[0-9]{13,13}$"},"iban":{"$ref":"#/components/schemas/IBANIdentifier"},"bic":{"$ref":"#/components/schemas/BICIdentifier"}}}],"required":["accountType","accountCurrency","accountName","accountNumber","institutionName"]},"PaymentAccountType":{"type":"string","enum":["CHEQUE","SAVINGS","TRANSMISSION","BANKGIRO"]},"CurrencyCodeEnum":{"title":"Currency Code","description":"Three-letter ISO 4217 alphabetical currency code. e.g. USD. Values correspond\nto [ISO 4217](https://wikipedia.org/wiki/ISO_4217).\n\n**Deprecated:** `BYR` (replaced by BYN), `FRF` (replaced by EUR), `LTL` (replaced by EUR), `LVL` (replaced by EUR), `MRO` (replaced by MRU), `STD` (replaced by STN), `USS` (no replacement), `VEF`  (replaced by VES), `ZMK` (replaced by ZMV) and `BTC` (Bitcoin only supported as Crypto Amount).","type":"string","enum":["AED","AFN","ALL","AMD","ANG","AOA","ARS","AUD","AWG","AZN","BAM","BBD","BDT","BGN","BHD","BIF","BMD","BND","BOB","BOV","BRL","BSD","BTN","BWP","BYN","BYR","BZD","CAD","CDF","CHE","CHF","CHW","CLF","CLP","CNY","COP","COU","CRC","CUC","CUP","CVE","CZK","DJF","DKK","DOP","DZD","EGP","ERN","ETB","EUR","FJD","FKP","FRF","GBP","GEL","GHS","GIP","GMD","GNF","GTQ","GYD","HKD","HNL","HRK","HTG","HUF","IDR","ILS","INR","IQD","IRR","ISK","JMD","JOD","JPY","KES","KGS","KHR","KMF","KPW","KRW","KWD","KYD","KZT","LAK","LBP","LKR","LRD","LSL","LTL","LVL","LYD","MAD","MDL","MGA","MKD","MMK","MNT","MOP","MRO","MRU","MUR","MVR","MWK","MXN","MXV","MYR","MZN","NAD","NGN","NIO","NOK","NPR","NZD","OMR","PAB","PEN","PGK","PHP","PKR","PLN","PYG","QAR","RON","RSD","RUB","RWF","SAR","SBD","SCR","SDG","SEK","SGD","SHP","SLL","SOS","SRD","SSP","STD","STN","SVC","SYP","SZL","THB","TJS","TMT","TND","TOP","TRY","TTD","TWD","TZS","UAH","UGX","USD","USN","USS","UYI","UYU","UYW","UZS","VEF","VES","VND","VUV","WST","XAF","XAG","XAU","XBA","XBB","XBC","XBD","XCD","XDR","XOF","XPD","XPF","XPT","XSU","XTS","XUA","XXX","YER","ZAR","ZMK","ZMW","ZWL","BTC"]},"BaseAddress":{"description":"An Address following the convention of http://microformats.org/wiki/hcard","type":"object","properties":{"receiverName":{"type":"string","minLength":1,"description":"The receiver name for the address if different to the company/site name."},"addressLine1":{"minLength":1,"maxLength":40,"type":"string","description":"Address Line 1. Should include street and apartment number if required."},"addressLine2":{"maxLength":40,"type":"string","description":"Address Line 2"},"addressLine3":{"maxLength":40,"type":"string","description":"Address Line 3"},"poBox":{"type":"string","description":"The PO BOX number."},"city":{"minLength":1,"maxLength":28,"type":"string","description":"Name of a built-up area, with defined boundaries, and a local government. This could be city or town."},"countrySubdivision":{"maxLength":35,"minLength":1,"type":"string","description":"Identifies a sub-division of a country which may be state, region or county. This follows a similar format to the openbank api."},"postCode":{"$ref":"#/components/schemas/PostCode"},"country":{"$ref":"#/components/schemas/CountryCode3Enum"},"timeZone":{"$ref":"#/components/schemas/TimeZone"}}},"PostCode":{"description":"Identifier consisting of a group of letters and/or numbers that is added to a postal address to assist the sorting of mail.","type":"string","minLength":1,"maxLength":16},"CountryCode3Enum":{"title":"Country Code","type":"string","description":"The [ISO 3166-1 alpha-3](https://en.wikipedia.org/wiki/ISO_3166-1_alpha-3) country code.<blockquote><strong>Note:</strong> The country code for Great Britain is <code>GB</code> and not <code>UK</code> as is used in that country's top-level domain names.</blockquote>.","enum":["ZZZ","ABW","AFG","AGO","AIA","ALA","ALB","AND","ARE","ARG","ARM","ASM","ATA","ATF","ATG","AUS","AUT","AZE","BDI","BEL","BEN","BES","BFA","BGD","BGR","BHR","BHS","BIH","BLM","BLR","BLZ","BMU","BOL","BRA","BRB","BSB","BRN","BTN","BVT","BWA","CAF","CAN","CCK","CHE","CHL","CHN","CIV","CMR","COD","COG","COK","COL","COM","CPV","CRI","CUB","CUW","CXR","CYM","CYP","CZE","DEU","DJI","DMA","DNK","DOM","DZA","ECU","EGY","ERI","ESH","ESP","EST","ETH","FIN","FJI","FLK","FRA","FRO","FSM","GAB","GBR","GEO","GGY","GHA","GIB","GIN","GLP","GMB","GNB","GNQ","GRC","GRD","GRL","GTM","GUF","GUM","GUY","HKG","HMD","HND","HRV","HTI","HUN","IDN","IMN","IND","IOT","IRL","IRN","IRQ","ISL","ISR","ITA","JAM","JEY","JOR","JPN","KAZ","KEN","KGZ","KHM","KIR","KNA","KOR","KWT","LAO","LBN","LBR","LBY","LCA","LIE","LKA","LSO","LTU","LUX","LVA","MAC","MAF","MAR","MCO","MDA","MDG","MDV","MEX","MHL","MKD","MLI","MLT","MMR","MNE","MNG","MNP","MOZ","MRT","MSR","MTQ","MUS","MWI","MYS","MYT","NAM","NCL","NER","NFK","NGA","NIC","NIU","NLD","NOR","NPL","NRU","NZL","OMN","PAK","PAN","PCN","PER","PHL","PLW","PNG","POL","PRI","PRK","PRT","PRY","PSE","PYF","QAT","REU","ROU","RUS","RWA","SAU","SDN","SEN","SGC","SGP","SHN","SJM","SLB","SLE","SLV","SMR","SOM","SPM","SRB","SSD","STP","SUR","SVK","SVN","SWE","SWZ","SXM","SYC","SYR","TCA","TCD","TGO","THA","TJK","TKL","TKM","TLS","TON","TTO","TUN","TUR","TUV","TWN","TZA","UGA","UKR","UMI","URY","USA","UZB","VAT","VCT","VEN","VGB","VIR","VNM","VUT","WLF","WSM","YEM","ZAF","ZMB","ZWE"]},"TimeZone":{"description":"A time zone, following the format defined in the IANA tz database (https://www.iana.org/time-zones). Valid examples are America/New_York and Etc/UTC. Do not use ambiguous, non-qualified values such as EST or GB. Before including this type in your interface, please consider whether it is actually appropriate to convey time zone information with your type. It is almost always the case that this should be transformed from UTC at the time of display to the user; this type might therefore be most associated with user-preference APIs.","type":"string","minLength":1,"maxLength":127},"IBANIdentifier":{"title":"IBAN","description":"International Bank Account Number (ISO 13616-1:2007).\n The use of an IBAN is mandated for all SEPA transactions.\nThere are 66 countries that support this format. The length will vary by country. Norway has the shortest format, 15 characters, currently Malta is the longest with 31 characters.\n","type":"string","pattern":"^[a-zA-Z]{2,2}[0-9]{2,2}[a-zA-Z0-9]{1,30}$"},"BICIdentifier":{"title":"Bank Identifier Code","type":"string","description":"International Bank Identifier Code Format.\nThe Bank Identifier Code or SWIFT Code ,this can also be referred to as the CHIPS, NCC, VSC or IFSC depending on your location. Made up of 8 or 11 characters .The 3 main parts include: BankCode(4), Country Code(2) and Location (2).\nOptionally the branch identifier is a 3 character optional element that can supplement the 8 character BIC.\n[ISO 9362](https://www.iso.org/standard/84108.html)","pattern":"^[A-Z]{6,6}[A-Z2-9][A-NP-Z0-9]([A-Z0-9]{3,3}){0,1}$","maxLength":11},"PaymentDetailsCredit":{"allOf":[{"$ref":"#/components/schemas/PaymentDetails"},{"properties":{"accountType":{"$ref":"#/components/schemas/PaymentAccountType"},"accountCurrency":{"$ref":"#/components/schemas/CurrencyCodeEnum"},"creditAmountRequested":{"description":"Amount of credit to be requested.","type":"number","format":"float"},"purchaseOrderReference":{"type":"string","description":"Purchase Order Reference."},"existingCustomerLegalName":{"type":"string","description":"Existing Customer Legal Name."},"references":{"type":"array","description":"List of references.","maxItems":50,"items":{"$ref":"#/components/schemas/ReferenceContactType"}}}}],"required":["accountType","accountCurrency"]},"ReferenceContactType":{"description":"Company and contact details for reference","type":"object","properties":{"contact":{"$ref":"#/components/schemas/ContactType"},"companyName":{"type":"string","description":"Name of the company."},"accountNumber":{"type":"string","description":"The account Number of the reference"},"referenceType":{"type":"string","description":"Type of reference.","enum":["BANK","TRADE"]}},"required":["contact","companyName","referenceType"]},"ContactType":{"description":"The details of a Contact.","type":"object","properties":{"contactType":{"$ref":"#/components/schemas/ContactTypeEnum"},"name":{"$ref":"#/components/schemas/ContactName"},"phoneNumbers":{"description":"The phone numbers to be used for the Contact. If you include this property there should be at least one phone number.","items":{"$ref":"#/components/schemas/Phone"},"minItems":1,"uniqueItems":true,"type":"array"},"email":{"$ref":"#/components/schemas/EmailAddress"},"businessTitle":{"$ref":"#/components/schemas/BusinessTitle"}},"required":["contactType","name"]},"ContactTypeEnum":{"title":"Contact Type","description":"An indicator for the type of contact.\n\n|Value|Description|\n|----|-----------|\n|BUSINESS|Generic business contact information, e.g. info@example.com|\n|DISPUTE_HANDLING|Generic contact information specific to dispute handling, e.g. disputes@example.com|\n|OWNER|Individual contact information of the owner of the Entity, e.g. ben.jerry@example.com|\n|PERSONAL|Personal contact information of the person representing the Entity, e.g. bjerr83@example-personal-email-domain.com|","type":"string","enum":["BUSINESS","DISPUTE_HANDLING","OWNER","PERSONAL"],"default":"BUSINESS"},"ContactName":{"allOf":[{"$ref":"#/components/schemas/Name"}]},"Name":{"title":"Name Details","description":"An object representing the name or component names of a party, person or business. No elements are mandatory due to the different usages, but the business rules need to be applied in the context where name is used.","type":"object","uniqueItems":false,"properties":{"firstName":{"description":"The given name of contact.","type":"string","minLength":1,"maxLength":120},"lastName":{"description":"The surname name or family name of the contact. This is required when the name is for a party or person. Can also include the matronymic or mother's family name where this is customarily used.","minLength":1,"maxLength":120,"type":"string"},"prefix":{"description":"The prefix to the party name. This is sometimes referred to as a title, salutation or appellation.","maxLength":120,"type":"string"},"alternateFullName":{"description":"The alternate name for the party. This can be a business name or nickname. This should be used where the name of the party cannot be parsed into its constituent parts such as first name or last name. If the party is a business then this should always be present.","maxLength":200,"type":"string"},"middleName":{"description":"The middle name or names for a party or person.","maxLength":120,"type":"string"},"suffix":{"description":"The name suffix for the party.","maxLength":120,"type":"string"}},"required":["firstName","lastName"]},"Phone":{"title":"Phone number","description":"A simple Phone Number","type":"object","additionalProperties":false,"properties":{"callingCode":{"description":"Country Calling Code. Mapped to PARTY_PHONE.CALLING_CODE or VENUE_PHONE.CALLING_CODE","type":"string"},"value":{"description":"The actual phone number less country code and/or extension.","type":"string","minLength":5},"extension":{"description":"The internal extension number where applicable or known.","type":"string"},"isPrimary":{"description":"Indicates that the phone is a the primary phone. Mapped to PARTY_PHONE_PRIMARY","type":"boolean","default":false},"phoneType":{"$ref":"#/components/schemas/PhoneTypeEnum"}},"required":["value","phoneType"]},"PhoneTypeEnum":{"title":"Phone Type","description":"Phone type in PHONE_TYPE_CON. Mapped to PARTY_PHONE.PHONE_TYPE_CON_ID or VENUE_PHONE.PHONE_TYPE_CON_ID","type":"string","enum":["HOME","MOBILE","WORK","FAX","OTHER"],"default":"HOME"},"EmailAddress":{"title":"Email Address","maxLength":254,"minLength":3,"type":"string","format":"email","pattern":"^[a-zA-Z0-9!#$%&'*+=?^_`{|}~.-]+@[a-zA-Z0-9-]+[.].+$","description":"A valid internationalized email address, as defined by RFC 5322, RFC 6530, and other RFCs. Due to RFC 5321, an email address can be up to 254 characters long even though up to 64 characters are allowed before and 255 characters are allowed after the @ sign. This pattern verifies only that the string contains an unquoted @ sign. See https://tools.ietf.org/html/rfc5322#section-3.4.1."},"BusinessTitle":{"type":"string","maxLength":100},"PaymentDetailsNET":{"allOf":[{"$ref":"#/components/schemas/PaymentDetails"}]},"PaymentDetailsEInvoice":{"allOf":[{"$ref":"#/components/schemas/PaymentDetails"},{"properties":{"bankPartnerName":{"type":"string","description":"The banking partner used in conjunction with the billing details to perform e-invoicing."},"gln":{"type":"string","description":"The Global Location Number (GLN) to be captured when E-Invoice payment method is used for the Sweden Portfolio.","pattern":"^[0-9]{13}$"},"eAddress":{"type":"string","description":"This is required for Finnish customers who have opted to receive invoices electronically."}}}]},"VariableResponseType":{"description":"Variable/Value Pairs.","type":"object","properties":{"variableName":{"type":"string","description":"Variable name (this would be provided by Verifone)","pattern":"^[A-Za-z0-9_-]*$"},"variableValue":{"type":"string","maxLength":10000,"description":"Value of the variable"}}},"MerchantContract":{"type":"object","properties":{"brokerId":{"type":"string","maxLength":100,"description":"ID of the broker, if one is being used"},"legalStructure":{"type":"string","description":"Legal Structure","enum":["PROPRIETOR_OWN_BEHALF","PROPRIETOR_NOT_OWN_BEHALF","SHARED_LESS_25_PERC_EACH"]},"contacts":{"type":"array","maxItems":50,"items":{"$ref":"#/components/schemas/ContactAddressType"}},"settlementAccount":{"$ref":"#/components/schemas/SettlementAccount"},"domesticSettlementAccount":{"$re
[...]
